**** This program converted from Z80 to 68K by Source Guru 0.3
        INCLUDE "sim_ti85.h"
**** Original Line: ; JezzBall version 2.1 by Magnus Svedin -96
**** Original Line: 
**** Original Line: #include "TI-85.H"
**** Original Line: ;
**** Original Line: ;                                   
**** Original Line: ;                                           
**** Original Line: ;                                    
**** Original Line: ;                             
**** Original Line: ;                         Version 4.0 - November 1995
**** Original Line: ;                                Copyright 1995
**** Original Line: ;                          Dan Eble (eble.2@osu.edu)
**** Original Line: ;                      Magnus Hagander (e95_mha@e.kth.se)
**** Original Line: ;                    Rob Taylor (rtaylor@rtaylor.u-net.com)
**** Original Line: ;
**** Original Line: ;                     Extended header file (C) 20/12 1995
**** Original Line: ;
**** Original Line: 
**** Original Line: ;
**** Original Line: ; #DEFINEs for relative calls and jumps included in ZShell
**** Original Line: ;
**** Original Line: #DEFINE ROM_CALL(index)         call $8C09 \ .db index
**** Original Line: #DEFINE CALL_Z(addr)            call $8C0C \ .dw addr
**** Original Line: #DEFINE CALL_(addr)             call $8C0F \ .dw addr
**** Original Line: #DEFINE CALL_NZ(addr)           call $8C12 \ .dw addr
**** Original Line: #DEFINE CALL_C(addr)            call $8C18 \ .dw addr
**** Original Line: #DEFINE CALL_NC(addr)           call $8C1E \ .dw addr
**** Original Line: #DEFINE JUMP_Z(addr)            call $8C24 \ .dw addr
**** Original Line: #DEFINE JUMP_(addr)             call $8C27 \ .dw addr
**** Original Line: #DEFINE JUMP_NZ(addr)           call $8C2A \ .dw addr
**** Original Line: #DEFINE JUMP_C(addr)            call $8C30 \ .dw addr
**** Original Line: #DEFINE JUMP_NC(addr)           call $8C36 \ .dw addr
**** Original Line: 
**** Original Line: 
**** Original Line: ;
**** Original Line: ; #DEFINEs for conditional ROM_CALL:s. The functionality will be
**** Original Line: ; implemented in your own program, not in ZShell.
**** Original Line: ;
**** Original Line: #DEFINE ROM_CALL_C(index)       .db $30,$04 \ call $8c09 \ .db index
**** Original Line: #DEFINE ROM_CALL_NC(index)      .db $38,$04 \ call $8c09 \ .db index
**** Original Line: #DEFINE ROM_CALL_Z(index)       .db $20,$04 \ call $8c09 \ .db index
**** Original Line: #DEFINE ROM_CALL_NZ(index)      .db $28,$04 \ call $8c09 \ .db index
**** Original Line: 
**** Original Line: 
**** Original Line: ;
**** Original Line: ; ZShell Specific Data areas
**** Original Line: ;
**** Original Line: PROGRAM_ADDR	=$8C3C	; program address
PROGRAM_ADDR    equ     $8C3C
**** Original Line: ROM_VERS	=$8C3E	; ROM version byte
ROM_VERS    equ     $8C3E
**** Original Line: ZSHELL_VER	=$8C3F	; ZShell version number
ZSHELL_VER    equ     $8C3F
**** Original Line: ZS_BITS		=$8C40	; bit 0 set : checksum again
ZS_BITS    equ     $8C40
**** Original Line:                         ; bit 1 set : get out without screen
**** Original Line: 
**** Original Line: 
**** Original Line: ;
**** Original Line: ; Call addresses
**** Original Line: ; These addresses are in the same location in all ROM versions, and can
**** Original Line: ; therefor be accessed through a direct call.
**** Original Line: ; There is no need to use the ROM_CALL function.
**** Original Line: ; Instead, use e.g. "call LD_HL_MHL", without using any macro.
**** Original Line: ;
**** Original Line: LD_HL_MHL       =$0033  ; HL=(HL), A=L
LD_HL_MHL    equ     $0033
**** Original Line: CP_HL_DE        =$008E  ; CP HL,DE (modifies flags only)
CP_HL_DE    equ     $008E
**** Original Line: UNPACK_HL       =$009A  ; unpacks one digit of HL into %A
UNPACK_HL    equ     $009A
**** Original Line: STORE_KEY       =$01B1  ; store immediate keystroke from %A
STORE_KEY    equ     $01B1
**** Original Line: GET_KEY         =$01BE  ; get immediate keystroke into %A
GET_KEY    equ     $01BE
**** Original Line: 
**** Original Line: 
**** Original Line: ;
**** Original Line: ; Call Indexes
**** Original Line: ; These indexes are used in the ROM_CALL macro to call functios that
**** Original Line: ; are in the TI-85's ROM.
**** Original Line: ;
**** Original Line: TX_CHARPUT       =$00   ; xlated display of %A on screen, normal text style
TX_CHARPUT    equ     $00
**** Original Line: D_LT_STR         =$01   ; display length-byte normal text string
D_LT_STR    equ     $01
**** Original Line: M_CHARPUT        =$02   ; display %A on screen, menu style
M_CHARPUT    equ     $02
**** Original Line: D_ZM_STR         =$03   ; display zero-terminated string,  menu style
D_ZM_STR    equ     $03
**** Original Line: D_LM_STR         =$04   ; display length-byte string, menu style
D_LM_STR    equ     $04
**** Original Line: GET_T_CUR        =$05   ; HL = absolute address of text cursor
GET_T_CUR    equ     $05
**** Original Line: SCROLL_UP        =$06   ; scroll text screen up
SCROLL_UP    equ     $06
**** Original Line: TR_CHARPUT       =$07   ; raw display of %A on screen, normal text style
TR_CHARPUT    equ     $07
**** Original Line: CLEARLCD         =$08   ; clear LCD, but not text or graphics memory
CLEARLCD    equ     $08
**** Original Line: D_HL_DECI        =$09   ; disp. HL as 5-byte, right just., blank-pad. decimal
D_HL_DECI    equ     $09
**** Original Line: CLEARTEXT        =$0A   ; clear LCD and text memory (affected by 1,(IY+13))
CLEARTEXT    equ     $0A
**** Original Line: D_ZT_STR         =$0B   ; display zero-terminated normal text string
D_ZT_STR    equ     $0B
**** Original Line: BUSY_OFF         =$0C   ; turn off "busy" indicataor
BUSY_OFF    equ     $0C
**** Original Line: BUSY_ON          =$0D   ; turn on "busy" indicator
BUSY_ON    equ     $0D
**** Original Line: FIND_PIXEL       =$80   ; Find location in RAM for a pixel on the GFX screen
FIND_PIXEL    equ     $80
**** Original Line:                         ; WARNING! Page must be set to 4 before this function
**** Original Line:                         ; is called! Do "ld a,4" and "out (5),a" do to that.
**** Original Line: 
**** Original Line: ;
**** Original Line: ; Data Locations
**** Original Line: ;
**** Original Line: KEY_0		=$8000	; translated scancode of last key, but 0 if gotten
KEY_0    equ     $8000
**** Original Line: KEY_1		=$8001	; translated scancode of key down now
KEY_1    equ     $8001
**** Original Line: KEY_2		=$8002	; same as 8001, but $FF if more than one key is down
KEY_2    equ     $8002
**** Original Line: KEY_STAT	=$8004	; bit 2 set = key down now
KEY_STAT    equ     $8004
**** Original Line: LAST_KEY	=$8006	; last key pressed
LAST_KEY    equ     $8006
**** Original Line: CONTRAST	=$8007	; contrast
CONTRAST    equ     $8007
**** Original Line: CURSOR_ROW	=$800C	; text cursor row
CURSOR_ROW    equ     $800C
**** Original Line: CURSOR_COL	=$800D	; text cursor column
CURSOR_COL    equ     $800D
**** Original Line: CURSOR_LET	=$800E	; letter under text cursor
CURSOR_LET    equ     $800E
**** Original Line: BUSY_COUNTER	=$8080	; counter for busy indicator
BUSY_COUNTER    equ     $8080
**** Original Line: BUSY_BITMAP	=$8081	; bitmap for busy indicator
BUSY_BITMAP    equ     $8081
**** Original Line: CURR_INPUT	=$80C6	; -> current home-screen input
CURR_INPUT    equ     $80C6
**** Original Line: BYTES_USED	=$80CC	; # of used user memory (Add to 80C8 to find first 
BYTES_USED    equ     $80CC
**** Original Line: 			; byte of free memory)
**** Original Line: TEXT_MEM	=$80DF	; text memory
TEXT_MEM    equ     $80DF
**** Original Line: CURSOR_ROW2	=$800C	; text cursor row
CURSOR_ROW2    equ     $800C
**** Original Line: CURSOR_COL2	=$800D	; text cursor column
CURSOR_COL2    equ     $800D
**** Original Line: CHECKSUM	=$81BE	; memory checksum from 8BF7 to FA6F
CHECKSUM    equ     $81BE
**** Original Line: CURSOR_X	=$8333	; x value of cursor
CURSOR_X    equ     $8333
**** Original Line: CURSOR_Y	=$8334	; y value of cursor
CURSOR_Y    equ     $8334
**** Original Line: _IY_TABLE	=$8346	; where IY usually points
_IY_TABLE    equ     $8346
**** Original Line: GRAPH_MEM	=$8641	; graphics memory
GRAPH_MEM    equ     $8641
**** Original Line: TEXT_MEM2	=$8A6B	; secondary text memory
TEXT_MEM2    equ     $8A6B
**** Original Line: USER_MEM	=$8B1B	; -> start of user memory
USER_MEM    equ     $8B1B
**** Original Line: FIXED_POINT	=$8B3A	; fixed-point decimal place (FFh for floating point)
FIXED_POINT    equ     $8B3A
**** Original Line: VAT_END		=$8BEB	; -> one byte before end of VAT (backwards)
VAT_END    equ     $8BEB
**** Original Line: VAT_START	=$FA6F	; start of VAT
VAT_START    equ     $FA6F
**** Original Line: VIDEO_MEM	=$FC00	; video memory
VIDEO_MEM    equ     $FC00
**** Original Line: 
**** Original Line: 
**** Original Line: ;
**** Original Line: ; Key Scancode definitions
**** Original Line: ;
**** Original Line: ;                     Function                Character
**** Original Line: K_NOKEY       =$00    ;No key
K_NOKEY    equ     $00
**** Original Line: K_DOWN        =$01    ;Down
K_DOWN    equ     $01
**** Original Line: K_LEFT        =$02    ;Left
K_LEFT    equ     $02
**** Original Line: K_RIGHT       =$03    ;Right
K_RIGHT    equ     $03
**** Original Line: K_UP          =$04    ;Up
K_UP    equ     $04
**** Original Line: K_ENTER       =$09    ;Enter
K_ENTER    equ     $09
**** Original Line: K_PLUS        =$0A    ;+                      X
K_PLUS    equ     $0A
**** Original Line: K_MINUS       =$0B    ;-                      T
K_MINUS    equ     $0B
**** Original Line: K_STAR        =$0C    ;*                      O
K_STAR    equ     $0C
**** Original Line: K_SLASH       =$0D    ;/                      J
K_SLASH    equ     $0D
**** Original Line: K_RAISE       =$0E    ;^                      E
K_RAISE    equ     $0E
**** Original Line: K_CLEAR       =$0F    ;Clear
K_CLEAR    equ     $0F
**** Original Line: K_SIGN        =$11    ;(-)                    Space
K_SIGN    equ     $11
**** Original Line: K_3           =$12    ;3                      W
K_3    equ     $12
**** Original Line: K_6           =$13    ;6                      S
K_6    equ     $13
**** Original Line: K_9           =$14    ;9                      N
K_9    equ     $14
**** Original Line: K_RIGHTPAR    =$15    ;)                      I
K_RIGHTPAR    equ     $15
**** Original Line: K_TAN         =$16    ;Tan                    D
K_TAN    equ     $16
**** Original Line: K_CUSTOM      =$17    ;Custom
K_CUSTOM    equ     $17
**** Original Line: K_DOT         =$19    ;.                      Z
K_DOT    equ     $19
**** Original Line: K_2           =$1A    ;2                      V
K_2    equ     $1A
**** Original Line: K_5           =$1B    ;5                      R
K_5    equ     $1B
**** Original Line: K_8           =$1C    ;8                      M
K_8    equ     $1C
**** Original Line: K_LEFTPAR     =$1D    ;(                      H
K_LEFTPAR    equ     $1D
**** Original Line: K_COS         =$1E    ;Cos                    C
K_COS    equ     $1E
**** Original Line: K_PRGM        =$1F    ;Prgm
K_PRGM    equ     $1F
**** Original Line: K_DEL         =$20    ;Del
K_DEL    equ     $20
**** Original Line: K_0           =$21    ;0                      Y
K_0    equ     $21
**** Original Line: K_1           =$22    ;1                      U
K_1    equ     $22
**** Original Line: K_4           =$23    ;4                      Q
K_4    equ     $23
**** Original Line: K_7           =$24    ;7                      L
K_7    equ     $24
**** Original Line: K_EE          =$25    ;EE                     G
K_EE    equ     $25
**** Original Line: K_SIN         =$26    ;Sin                    B
K_SIN    equ     $26
**** Original Line: K_STAT        =$27    ;Stat
K_STAT    equ     $27
**** Original Line: K_XVAR        =$28    ;x-Var                  x
K_XVAR    equ     $28
**** Original Line: K_ON          =$29    ;On
K_ON    equ     $29
**** Original Line: K_STO         =$2A    ;Sto                    =
K_STO    equ     $2A
**** Original Line: K_COMMA       =$2B    ;,                      P
K_COMMA    equ     $2B
**** Original Line: K_SQUARE      =$2C    ;x^2                    K
K_SQUARE    equ     $2C
**** Original Line: K_LN          =$2D    ;Ln                     F
K_LN    equ     $2D
**** Original Line: K_LOG         =$2E    ;Log                    A
K_LOG    equ     $2E
**** Original Line: K_GRAPH       =$2F    ;Graph
K_GRAPH    equ     $2F
**** Original Line: K_ALPHA       =$30    ;Alpha
K_ALPHA    equ     $30
**** Original Line: K_F5          =$31    ;F5
K_F5    equ     $31
**** Original Line: K_F4          =$32    ;F4
K_F4    equ     $32
**** Original Line: K_F3          =$33    ;F3
K_F3    equ     $33
**** Original Line: K_F2          =$34    ;F2
K_F2    equ     $34
**** Original Line: K_F1          =$35    ;F1
K_F1    equ     $35
**** Original Line: K_SECOND      =$36    ;2nd
K_SECOND    equ     $36
**** Original Line: K_EXIT        =$37    ;EXIT
K_EXIT    equ     $37
**** Original Line: K_MORE        =$38    ;MORE
K_MORE    equ     $38
**** Original Line: 
**** Original Line: .org 0                  
**** Original Line: .db "JezzBall v2.1 by MSv",0       
        dc.b    "JezzBall v2.1 by MSv"
        dc.b    0
**** Original Line: 
**** Original Line: XPos = $80df        ;Current X-Position of cursors
XPos    equ     $80df
**** Original Line: YPos = $80e0        ;Current Y-Position of cursors
YPos    equ     $80e0
**** Original Line: LastMove = $80e1    ;0=y, other=x
LastMove    equ     $80e1
**** Original Line: LineOffs1 = $80e2   ;position of one edge of the line
LineOffs1    equ     $80e2
**** Original Line: LineOffs2 = $80e3   ;position of the other edge of the line
LineOffs2    equ     $80e3
**** Original Line: LinePos = $80e4     ;line-coord, if 0, no current line
LinePos    equ     $80e4
**** Original Line: LineDir = $80e5     ;0=hor, other=ver
LineDir    equ     $80e5
**** Original Line: curkey = $80e6      ;key pressed
curkey    equ     $80e6
**** Original Line: clock = $80e7       ;all bits toggle each loop
clock    equ     $80e7
**** Original Line: NumBalls = $80e8    ;Number of balls in play (=level)
NumBalls    equ     $80e8
**** Original Line: XBallDir = $80e9    ;X-Direction of all balls. bit0=Ball1, 1=positive move 
XBallDir    equ     $80e9
**** Original Line: YBallDir = $80ea    ;Y-Direction of all balls. bit0=Ball1, 1=positive move 
YBallDir    equ     $80ea
**** Original Line: XBallMove = $80eb   ;X-Speed of all balls. bit0=Ball1
XBallMove    equ     $80eb
**** Original Line: YBallMove = $80ec   ;X-Speed of all balls. bit0=Ball1
YBallMove    equ     $80ec
**** Original Line: XPosB1 = $80ed      ;X-Position of ball 1
XPosB1    equ     $80ed
**** Original Line: YPosB1 = $80ee      ;Y-Position of ball 1
YPosB1    equ     $80ee
**** Original Line: XPosB2 = $80ef      ;     /\
XPosB2    equ     $80ef
**** Original Line: YPosB2 = $80f0      ;   / || \
YPosB2    equ     $80f0
**** Original Line: XPosB3 = $80f1      ; /   ||   \
XPosB3    equ     $80f1
**** Original Line: YPosB3 = $80f2      ;     ||
YPosB3    equ     $80f2
**** Original Line: XPosB4 = $80f3      ;     ||
XPosB4    equ     $80f3
**** Original Line: YPosB4 = $80f4      ;     ||
YPosB4    equ     $80f4
**** Original Line: XPosB5 = $80f5      ;     ||
XPosB5    equ     $80f5
**** Original Line: YPosB5 = $80f6      ;     ||
YPosB5    equ     $80f6
**** Original Line: XPosB6 = $80f7      ;     ||
XPosB6    equ     $80f7
**** Original Line: YPosB6 = $80f8      ;     ||
YPosB6    equ     $80f8
**** Original Line: XPosB7 = $80f9      ;     ||
XPosB7    equ     $80f9
**** Original Line: YPosB7 = $80fa      ;     ||
YPosB7    equ     $80fa
**** Original Line: XPosB8 = $80fb      ;     ||
XPosB8    equ     $80fb
**** Original Line: YPosB8 = $80fc      ;     ||
YPosB8    equ     $80fc
**** Original Line: CurBall = $80fd     ; Current ball (number 1-8)
CurBall    equ     $80fd
**** Original Line: CurPosPtr = $80fe   ; Pointer to current ball's x-pos   WORD!
CurPosPtr    equ     $80fe
**** Original Line: tmp = $8100         ; Temporary variable used in varies functions.
tmp    equ     $8100
**** Original Line: Lives = $8101       ; Lives left
Lives    equ     $8101
**** Original Line: Speed = $8102       ; Copy of speed for ingame-usage
Speed    equ     $8102
**** Original Line: OldContrast = $8103 ; Contrast set before jezzball
OldContrast    equ     $8103
**** Original Line: ActiveControl = $8104 ; 0=speedscroll active, other constscroll active
ActiveControl    equ     $8104
**** Original Line: tmp2 = $8105        ; Temporary variable used when tmp is occupied
tmp2    equ     $8105
**** Original Line: RectX1 = $8106      ; Low x-coord in rectangle
RectX1    equ     $8106
**** Original Line: RectX2 = $8107      ; High x-coord in rectangle
RectX2    equ     $8107
**** Original Line: RectY1 = $8108      ; Low y-coord in rectangle
RectY1    equ     $8108
**** Original Line: RectY2 = $8109      ; High y-coord in rectangle
RectY2    equ     $8109
**** Original Line: tmp3 = $810a        ; guess what...
tmp3    equ     $810a
**** Original Line: Score = $810b       ; Current score
Score    equ     $810b
**** Original Line: ScoreTxt = $810d    ; ASCII-copy of score, for printing on screen (5 bytes)
ScoreTxt    equ     $810d
**** Original Line: LevelDone = $8112   ; Indicator if level is complete, non-zero=level complete
LevelDone    equ     $8112
**** Original Line: LastScore = $8113   ; Score at beginning of level (used to see if 75% is done)
LastScore    equ     $8113
**** Original Line: Move = $8115        ; Movement of cursor bits: 0=right, 1=left, 2=up, 3=down
Move    equ     $8115
**** Original Line: clock2 = $8116      ; same as clock but toggles every second loop
clock2    equ     $8116
**** Original Line: RotateCount = $8117 ; Counter to make cursor-rotation happen every 8:th loop at maximum
RotateCount    equ     $8117
**** Original Line: ;Limit is 8187!!!
**** Original Line: 
**** Original Line: ; The ball coord points to the top left pixel of the ball.
**** Original Line: 
**** Original Line: Start:                  
        __LABEL Start
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ld (LevelDone), a
        __LA    LevelDone
        move.b  d7,(a1)
**** Original Line:   ld (LinePos), a  
        __LA    LinePos
        move.b  d7,(a1)
**** Original Line:   ld (clock), a
        __LA    clock
        move.b  d7,(a1)
**** Original Line:   ld (clock2), a
        __LA    clock2
        move.b  d7,(a1)
**** Original Line:   ld a, $01
        move.b  #$01,d7
**** Original Line:   ld (NumBalls), a
        __LA    NumBalls
        move.b  d7,(a1)
**** Original Line:   ld (Lives), a
        __LA    Lives
        move.b  d7,(a1)
**** Original Line:   ld hl, $0000
        move.w  #$0000,d4
**** Original Line:   ld (Score), hl
        __LA    Score
        move.w  d4,d0
        lsr.w   #8,d0
        move.b  d4,(a1)+
        move.b  d0,(a1)
**** Original Line:   ld (LastScore), hl
        __LA    LastScore
        move.w  d4,d0
        lsr.w   #8,d0
        move.b  d4,(a1)+
        move.b  d0,(a1)
**** Original Line: 
**** Original Line:   CALL_(RandomBalls)
        jsr     RA_RandomBalls
**** Original Line: 
**** Original Line:   ld a, $04             ;set rom-page for graph-routines
        move.b  #$04,d7
**** Original Line:   out (5), a
        move.b  #5,d1
        jsr     ti85lib@0007
**** Original Line:   ROM_CALL(CLEARLCD)    ;clear screen
        jsr     ti85lib@0002
**** Original Line:   JUMP_(StartIntro)     ;show intro-screen
        jmp     RA_StartIntro
**** Original Line: AfterIntro:
        __LABEL AfterIntro
**** Original Line:   ROM_CALL(CLEARLCD)    ;clear screen
        jsr     ti85lib@0002
**** Original Line:   CALL_(DrawFrame)      ;draw frame
        jsr     RA_DrawFrame
**** Original Line: 
**** Original Line:   ld de, (PROGRAM_ADDR) ;init speed-variable (must be done after intro)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, SpeedDB
        move.w  #SpeedDB,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, (hl)
        __ADDR  4
        move.b  (a4),d7
**** Original Line:   ld (Speed), a
        __LA    Speed
        move.b  d7,(a1)
**** Original Line: 
**** Original Line:   ld a, (CONTRAST)      ;change contrast and save old
        __LA    CONTRAST
        move.b  (a1),d7
**** Original Line:   ld (OldContrast), a
        __LA    OldContrast
        move.b  d7,(a1)
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld hl, ContrastDB
        move.w  #ContrastDB,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, (hl)
        __ADDR  4
        move.b  (a4),d7
**** Original Line:   add a, b
        move.w  d2,d0
        asr.w   #8,d0
        add.b   d0,d7
**** Original Line:   cp $1e
        cmp.b   #$1e,d7
**** Original Line:   jr c, ContrastIsOk
        bcc     NC__0
        jmp     RA_ContrastIsOk
NC__0:
**** Original Line:   ld a, $1e
        move.b  #$1e,d7
**** Original Line: ContrastIsOk:
        __LABEL ContrastIsOk
**** Original Line:   ld (CONTRAST), a  
        __LA    CONTRAST
        move.b  d7,(a1)
**** Original Line: 	out (2),a
        move.b  #2,d1
        jsr     ti85lib@0007
**** Original Line: 
**** Original Line:   CALL_(DrawBalls)
        jsr     RA_DrawBalls
**** Original Line: 
**** Original Line: LoopStart:              ;start of main loop
        __LABEL LoopStart
**** Original Line:   ld a, (clock)         ;change clock
        __LA    clock
        move.b  (a1),d7
**** Original Line:   xor $ff
        eor.b   #$ff,d7
**** Original Line:   ld (clock), a
        __LA    clock
        move.b  d7,(a1)
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr z, LSDontToggle
        bne     NC__1
        jmp     RA_LSDontToggle
NC__1:
**** Original Line:   ld a, (clock2)
        __LA    clock2
        move.b  (a1),d7
**** Original Line:   xor $ff
        eor.b   #$ff,d7
**** Original Line:   ld (clock2), a
        __LA    clock2
        move.b  d7,(a1)
**** Original Line: LSDontToggle:
        __LABEL LSDontToggle
**** Original Line:   ld a, (RotateCount)   
        __LA    RotateCount
        move.b  (a1),d7
**** Original Line:   srl a
        __SRL   7
**** Original Line:   ld (RotateCount), a
        __LA    RotateCount
        move.b  d7,(a1)
**** Original Line:   ld a, $3e             ;mask out unused keys
        move.b  #$3e,d7
**** Original Line:   out (1), a
        move.b  #1,d1
        jsr     ti85lib@0007
**** Original Line:   in a, (1)             ;read key-press
        move.b  #1,d1
        jsr     ti85lib@0008
**** Original Line:   ld (curkey), a
        __LA    curkey
        move.b  d7,(a1)
**** Original Line:   bit 6, a              ;call key-functions
        btst    #6,d7
**** Original Line:   JUMP_Z(LeaveGame)     
        bne     NC__2
        jmp     RA_LeaveGame
NC__2:
**** Original Line:   ld a, (curkey)
        __LA    curkey
        move.b  (a1),d7
**** Original Line:   bit 3, a
        btst    #3,d7
**** Original Line:   CALL_Z(MoveUp)
        bne     NC__3
        jsr     RA_MoveUp
NC__3:
**** Original Line:   ld a, (curkey)
        __LA    curkey
        move.b  (a1),d7
**** Original Line:   bit 0, a
        btst    #0,d7
**** Original Line:   CALL_Z(MoveDown)
        bne     NC__4
        jsr     RA_MoveDown
NC__4:
**** Original Line:   ld a, (curkey)
        __LA    curkey
        move.b  (a1),d7
**** Original Line:   bit 1, a
        btst    #1,d7
**** Original Line:   CALL_Z(MoveLeft)
        bne     NC__5
        jsr     RA_MoveLeft
NC__5:
**** Original Line:   ld a, (curkey)
        __LA    curkey
        move.b  (a1),d7
**** Original Line:   bit 2, a
        btst    #2,d7
**** Original Line:   CALL_Z(MoveRight)
        bne     NC__6
        jsr     RA_MoveRight
NC__6:
**** Original Line:   ld a, (curkey)
        __LA    curkey
        move.b  (a1),d7
**** Original Line:   bit 5, a
        btst    #5,d7
**** Original Line:   CALL_Z(InitLine)
        bne     NC__7
        jsr     RA_InitLine
NC__7:
**** Original Line:   ld a, (curkey)
        __LA    curkey
        move.b  (a1),d7
**** Original Line:   bit 7, a
        btst    #7,d7
**** Original Line:   CALL_Z(PrintScreen)
        bne     NC__8
        jsr     RA_PrintScreen
NC__8:
**** Original Line: 
**** Original Line:   CALL_(DrawBalls)       ;erase balls (and cursor) before ballmoves
        jsr     RA_DrawBalls
**** Original Line:   ld a, (curkey)          ;this must take place while cursor is invisible
        __LA    curkey
        move.b  (a1),d7
**** Original Line:   bit 4, a
        btst    #4,d7
**** Original Line:   CALL_Z(RotateCursor)
        bne     NC__9
        jsr     RA_RotateCursor
NC__9:
**** Original Line:   CALL_(MoveCursor)      ;cursor must be moved while it's invisible
        jsr     RA_MoveCursor
**** Original Line:   ld a, (LinePos)         ;Continue line-drawing if neccesary
        __LA    LinePos
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   CALL_NZ(DrawLine)
        beq     NC__10
        jsr     RA_DrawLine
NC__10:
**** Original Line: 
**** Original Line:   ld a, $00               ;move all existing balls
        move.b  #$00,d7
**** Original Line:   ld hl, XPosB1
        move.w  #XPosB1,d4
**** Original Line:   ld (CurPosPtr), hl
        __LA    CurPosPtr
        move.w  d4,d0
        lsr.w   #8,d0
        move.b  d4,(a1)+
        move.b  d0,(a1)
**** Original Line: LMBStl1:
        __LABEL LMBStl1
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld (CurBall), a
        __LA    CurBall
        move.b  d7,(a1)
**** Original Line:   CALL_(MoveBall)
        jsr     RA_MoveBall
**** Original Line:   CALL_(CheckMove)
        jsr     RA_CheckMove
**** Original Line:   ld hl, (CurPosPtr)
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   ld (CurPosPtr), hl
        __LA    CurPosPtr
        move.w  d4,d0
        lsr.w   #8,d0
        move.b  d4,(a1)+
        move.b  d0,(a1)
**** Original Line:   ld a, (CurBall)
        __LA    CurBall
        move.b  (a1),d7
**** Original Line:   ld hl, NumBalls
        move.w  #NumBalls,d4
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   jr nz, LMBStl1
        beq     NC__11
        jmp     RA_LMBStl1
NC__11:
**** Original Line: 
**** Original Line:   CALL_(DrawBalls)        ;draw balls in new positions
        jsr     RA_DrawBalls
**** Original Line: 
**** Original Line:   ld a, (LevelDone)     ;check if level is done
        __LA    LevelDone
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   JUMP_NZ(NextLevel)
        beq     NC__12
        jmp     RA_NextLevel
NC__12:
**** Original Line: 
**** Original Line:   ld a, (Lives)           ;check if there's any lives left
        __LA    Lives
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   JUMP_Z(GameOver)
        bne     NC__13
        jmp     RA_GameOver
NC__13:
**** Original Line: 
**** Original Line:   ld a, (NumBalls)
        __LA    NumBalls
        move.b  (a1),d7
**** Original Line:   cp $09
        cmp.b   #$09,d7
**** Original Line:   JUMP_Z(GameDone)
        bne     NC__14
        jmp     RA_GameDone
NC__14:
**** Original Line: 
**** Original Line:   ld a, (Speed)               ;Pause-loop
        __LA    Speed
        move.b  (a1),d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line: PauseL1:
        __LABEL PauseL1
**** Original Line:   ld b, $ff
        move.w  #($ff)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line: PauseL2:
        __LABEL PauseL2
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   jr nz, PauseL2
        beq     NC__15
        jmp     RA_PauseL2
NC__15:
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   jr nz, PauseL1
        beq     NC__16
        jmp     RA_PauseL1
NC__16:
**** Original Line: 
**** Original Line:   JUMP_(LoopStart)
        jmp     RA_LoopStart
**** Original Line: 
**** Original Line: ChangeDir:        ;Make sure hl=XBallDir or YBallDir
        __LABEL ChangeDir
**** Original Line:   ld a, $01             ;find bit to change for current ball
        move.b  #$01,d7
**** Original Line:   push hl
        move.w  sr,d0
        move.w  d4,-(sp)
        move.b  d0,ccr
**** Original Line:   ld hl, CurBall
        move.w  #CurBall,d4
**** Original Line:   ld b, (hl)
        __ADDR  4
        move.b  (a4),d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   jr z, CXEnd
        bne     NC__17
        jmp     RA_CXEnd
NC__17:
**** Original Line: CXSt:
        __LABEL CXSt
**** Original Line:   rlca
        __RLCA
**** Original Line:   djnz CXSt
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_CXSt
**** Original Line: CXEnd:
        __LABEL CXEnd
**** Original Line:   pop hl
        move.w  sr,d0
        move.w  (sp)+,d4
        move.b  d0,ccr
**** Original Line:   xor (hl)
        __ADDR  4
        move.b  (a4),d1
        eor.b   d1,d7
**** Original Line:   ld (hl), a
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: LineHit:    ;called (JUMP'ed) if ball hits line
        __LABEL LineHit
**** Original Line:   CALL_(InverseScreen)
        jsr     RA_InverseScreen
**** Original Line:   ld b, $ff
        move.w  #($ff)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line: LHPauseStl1:
        __LABEL LHPauseStl1
**** Original Line:   ld a, $a0
        move.b  #$a0,d7
**** Original Line: LHPauseStl2:
        __LABEL LHPauseStl2
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   jr nz, LHPauseStl2
        beq     NC__18
        jmp     RA_LHPauseStl2
NC__18:
**** Original Line:   djnz LHPauseStl1
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_LHPauseStl1
**** Original Line:   CALL_(InverseScreen)
        jsr     RA_InverseScreen
**** Original Line:   ld hl, Lives     ;decrease lives
        move.w  #Lives,d4
**** Original Line:   dec (hl)
        __ADDR  4
        subq.b  #1,(a4)
**** Original Line:   CALL_(DrawLives)
        jsr     RA_DrawLives
**** Original Line:   ld hl, LinePos    ;needed later
        move.w  #LinePos,d4
**** Original Line:   ld a, (LineDir)
        __LA    LineDir
        move.b  (a1),d7
**** Original Line:   cp $00            ;check direction of line
        cmp.b   #$00,d7
**** Original Line:   jr z, LHHor     
        bne     NC__19
        jmp     RA_LHHor
NC__19:
**** Original Line:   ld b, (hl)   ;line is (was) vertical
        __ADDR  4
        move.b  (a4),d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld a, (LineOffs1)
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line: LHHStl1:            ;erase line
        __LABEL LHHStl1
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(ResPixel)
        jsr     RA_ResPixel
**** Original Line:   ld a, (LineOffs2)
        __LA    LineOffs2
        move.b  (a1),d7
**** Original Line:   cp c
        cmp.b   d2,d7
**** Original Line:   jr nz, LHHStl1
        beq     NC__20
        jmp     RA_LHHStl1
NC__20:
**** Original Line:   ld hl, XBallDir   ; make ball bounce
        move.w  #XBallDir,d4
**** Original Line:   CALL_(ChangeDir)
        jsr     RA_ChangeDir
**** Original Line:   jr LHEnd
        jmp     RA_LHEnd
**** Original Line: LHHor:              ;line is (was) horisontal
        __LABEL LHHor
**** Original Line:   ld a, (LineOffs1)
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   ld c, (hl)
        __ADDR  4
        move.b  (a4),d2
**** Original Line: LHVStl1:
        __LABEL LHVStl1
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(ResPixel)   ;unerase those pixels that were black before line
        jsr     RA_ResPixel
**** Original Line:   ld a, (LineOffs2)
        __LA    LineOffs2
        move.b  (a1),d7
**** Original Line:   cp b
        move.w  d2,d0
        asr.w   #8,d0
        cmp.b   d0,d7
**** Original Line:   jr nz, LHVStl1
        beq     NC__21
        jmp     RA_LHVStl1
NC__21:
**** Original Line:   ld hl, YBallDir     ;bounce ball
        move.w  #YBallDir,d4
**** Original Line:   CALL_(ChangeDir)
        jsr     RA_ChangeDir
**** Original Line: LHEnd:
        __LABEL LHEnd
**** Original Line:   ld hl, LinePos
        move.w  #LinePos,d4
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ld (hl), a 
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   JUMP_(CMLineChkEnd)   ;continue at correct place
        jmp     RA_CMLineChkEnd
**** Original Line: 
**** Original Line: CheckMove:
        __LABEL CheckMove
**** Original Line:   ld hl, (CurPosPtr)      ;Check if ball is in top of screen
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   ld a, $01
        move.b  #$01,d7
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   jr nz, CMBNotLeft
        beq     NC__22
        jmp     RA_CMBNotLeft
NC__22:
**** Original Line:   inc (hl)                ;move ball away from border
        __ADDR  4
        addq.b  #1,(a4)
**** Original Line:   ld hl, XBallDir
        move.w  #XBallDir,d4
**** Original Line:   CALL_(ChangeDir)        ;change ball-x-direction
        jsr     RA_ChangeDir
**** Original Line: CMBNotLeft:
        __LABEL CMBNotLeft
**** Original Line:   ld a, $5d
        move.b  #$5d,d7
**** Original Line:   ld hl, (CurPosPtr)
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   jr nz, CMBNotRight
        beq     NC__23
        jmp     RA_CMBNotRight
NC__23:
**** Original Line:   dec (hl)
        __ADDR  4
        subq.b  #1,(a4)
**** Original Line:   ld hl, XBallDir
        move.w  #XBallDir,d4
**** Original Line:   CALL_(ChangeDir)
        jsr     RA_ChangeDir
**** Original Line: CMBNotRight:
        __LABEL CMBNotRight
**** Original Line:   ld a, $01
        move.b  #$01,d7
**** Original Line:   ld hl, (CurPosPtr)
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   jr nz, CMBNotTop
        beq     NC__24
        jmp     RA_CMBNotTop
NC__24:
**** Original Line:   inc (hl)
        __ADDR  4
        addq.b  #1,(a4)
**** Original Line:   ld hl, YBallDir
        move.w  #YBallDir,d4
**** Original Line:   CALL_(ChangeDir)
        jsr     RA_ChangeDir
**** Original Line: CMBNotTop:
        __LABEL CMBNotTop
**** Original Line:   ld a, $3d
        move.b  #$3d,d7
**** Original Line:   ld hl, (CurPosPtr)
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   jr nz, CMBNotBot
        beq     NC__25
        jmp     RA_CMBNotBot
NC__25:
**** Original Line:   dec (hl)
        __ADDR  4
        subq.b  #1,(a4)
**** Original Line:   ld hl, YBallDir
        move.w  #YBallDir,d4
**** Original Line:   CALL_(ChangeDir)
        jsr     RA_ChangeDir
**** Original Line: CMBNotBot:              ; Start checking for pixel-hits (hits with lines)
        __LABEL CMBNotBot
**** Original Line:   ld a, $00             ; 01 This is the bit number of each pixel in tmp.
        move.b  #$00,d7
**** Original Line:   ld (tmp), a           ; 32 
        __LA    tmp
        move.b  d7,(a1)
**** Original Line:   ld hl, (CurPosPtr)
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   ld b, (hl)
        __ADDR  4
        move.b  (a4),d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   ld c, (hl)
        __ADDR  4
        move.b  (a4),d2
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr z, CMNoPix1
        bne     NC__26
        jmp     RA_CMNoPix1
NC__26:
**** Original Line:   ld hl, tmp
        move.w  #tmp,d4
**** Original Line:   set 0, (hl)
        __ADDR  4
        bset    #0,(a4)
**** Original Line: CMNoPix1:
        __LABEL CMNoPix1
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr z, CMNoPix2
        bne     NC__27
        jmp     RA_CMNoPix2
NC__27:
**** Original Line:   ld hl, tmp
        move.w  #tmp,d4
**** Original Line:   set 1, (hl)
        __ADDR  4
        bset    #1,(a4)
**** Original Line: CMNoPix2:
        __LABEL CMNoPix2
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr z, CMNoPix3
        bne     NC__28
        jmp     RA_CMNoPix3
NC__28:
**** Original Line:   ld hl, tmp
        move.w  #tmp,d4
**** Original Line:   set 2, (hl)
        __ADDR  4
        bset    #2,(a4)
**** Original Line: CMNoPix3:
        __LABEL CMNoPix3
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr z, CMNoPix4
        bne     NC__29
        jmp     RA_CMNoPix4
NC__29:
**** Original Line:   ld hl, tmp
        move.w  #tmp,d4
**** Original Line:   set 3, (hl)
        __ADDR  4
        bset    #3,(a4)
**** Original Line: CMNoPix4:
        __LABEL CMNoPix4
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ld hl, tmp
        move.w  #tmp,d4
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   ret z                 ;return if there's no hit
        bne     NC__30
        rts
NC__30:
**** Original Line:   ld a, (LinePos)       ;check if there's a current line
        __LA    LinePos
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   JUMP_Z(CMLineChkEnd)  ;if not start checking for old-line-hits
        bne     NC__31
        jmp     RA_CMLineChkEnd
NC__31:
**** Original Line:   ld a, (LineDir)       ;check in what direction line is
        __LA    LineDir
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   JUMP_Z(CMLineChkHorSt)
        bne     NC__32
        jmp     RA_CMLineChkHorSt
NC__32:
**** Original Line:   ld a, (LinePos)       ;vertical line
        __LA    LinePos
        move.b  (a1),d7
**** Original Line:   ld hl, (CurPosPtr)    ;check if x-coord is the same as current line's
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   jr z, CMLineChkVerXHit
        bne     NC__33
        jmp     RA_CMLineChkVerXHit
NC__33:
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   JUMP_NZ(CMLineChkEnd)
        beq     NC__34
        jmp     RA_CMLineChkEnd
NC__34:
**** Original Line: CMLineChkVerXHit:       ;x-coord of ball equals line's
        __LABEL CMLineChkVerXHit
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   ld a, (LineOffs1)     ;is y-coord less line's low y-coord?
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   JUMP_NC(CMLineChkEnd)  ;if so, there's no hit
        bcs     NC__35
        jmp     RA_CMLineChkEnd
NC__35:
**** Original Line:   ld a, (LineOffs2)       ;is y-coord more than line's high y-coord?
        __LA    LineOffs2
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   JUMP_C(CMLineChkEnd)   ;if so there's no hit
        bcc     NC__36
        jmp     RA_CMLineChkEnd
NC__36:
**** Original Line:   JUMP_(LineHit)        ;if it got all the way here there's a hit
        jmp     RA_LineHit
**** Original Line: CMLineChkHorSt:          ;check if ball hits current x-line
        __LABEL CMLineChkHorSt
**** Original Line:   ld hl, (CurPosPtr)
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   ld a, (LineOffs1)   ;check if ball is to the left of line
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   JUMP_NC(CMLineChkEnd)   ;if so, there's no hit
        bcs     NC__37
        jmp     RA_CMLineChkEnd
NC__37:
**** Original Line:   ld a, (LineOffs2)     ;check if ball is to the right of line
        __LA    LineOffs2
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   JUMP_C(CMLineChkEnd)  ;if so, there's no hit
        bcc     NC__38
        jmp     RA_CMLineChkEnd
NC__38:
**** Original Line: CMLineChkHorXHit:        
        __LABEL CMLineChkHorXHit
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   ld a, (LinePos)        ;check if y-coords match
        __LA    LinePos
        move.b  (a1),d7
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   JUMP_Z(LineHit)
        bne     NC__39
        jmp     RA_LineHit
NC__39:
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   JUMP_NZ(CMLineChkEnd)  ; othervise, start checking of old-line-hits
        beq     NC__40
        jmp     RA_CMLineChkEnd
NC__40:
**** Original Line:   JUMP_(LineHit)
        jmp     RA_LineHit
**** Original Line: CMLineChkEnd:
        __LABEL CMLineChkEnd
**** Original Line:   ld hl, tmp
        move.w  #tmp,d4
**** Original Line:   bit 0, (hl)
        __ADDR  4
        btst    #0,(a4)
**** Original Line:   jr z, CMNotTop        ;check if top-pixels are 1
        bne     NC__41
        jmp     RA_CMNotTop
NC__41:
**** Original Line:   bit 1, (hl)
        __ADDR  4
        btst    #1,(a4)
**** Original Line:   jr z, CMNotTop  
        bne     NC__42
        jmp     RA_CMNotTop
NC__42:
**** Original Line:   ld hl, (CurPosPtr)    ;if they are, continue here
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   inc hl                ;move ball down
        addq.w  #1,d4
**** Original Line:   inc (hl)
        __ADDR  4
        addq.b  #1,(a4)
**** Original Line:   ld hl, YBallDir       ;change y-direction of ball
        move.w  #YBallDir,d4
**** Original Line:   CALL_(ChangeDir)
        jsr     RA_ChangeDir
**** Original Line:   JUMP_(CMNotBot)
        jmp     RA_CMNotBot
**** Original Line: CMNotTop:
        __LABEL CMNotTop
**** Original Line:   ld hl, tmp
        move.w  #tmp,d4
**** Original Line:   bit 2, (hl)
        __ADDR  4
        btst    #2,(a4)
**** Original Line:   jr z, CMNotBot
        bne     NC__43
        jmp     RA_CMNotBot
NC__43:
**** Original Line:   bit 3, (hl)
        __ADDR  4
        btst    #3,(a4)
**** Original Line:   jr z, CMNotBot
        bne     NC__44
        jmp     RA_CMNotBot
NC__44:
**** Original Line:   ld hl, (CurPosPtr)
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   dec (hl)
        __ADDR  4
        subq.b  #1,(a4)
**** Original Line:   ld hl, YBallDir
        move.w  #YBallDir,d4
**** Original Line:   CALL_(ChangeDir)
        jsr     RA_ChangeDir
**** Original Line: CMNotBot:
        __LABEL CMNotBot
**** Original Line:   ld hl, tmp
        move.w  #tmp,d4
**** Original Line:   bit 0, (hl)
        __ADDR  4
        btst    #0,(a4)
**** Original Line:   jr z, CMNotLeft
        bne     NC__45
        jmp     RA_CMNotLeft
NC__45:
**** Original Line:   bit 3, (hl)
        __ADDR  4
        btst    #3,(a4)
**** Original Line:   jr z, CMNotLeft
        bne     NC__46
        jmp     RA_CMNotLeft
NC__46:
**** Original Line:   ld hl, (CurPosPtr)
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   inc (hl)
        __ADDR  4
        addq.b  #1,(a4)
**** Original Line:   ld hl, XBallDir
        move.w  #XBallDir,d4
**** Original Line:   CALL_(ChangeDir)
        jsr     RA_ChangeDir
**** Original Line:   jr CMNotRight
        jmp     RA_CMNotRight
**** Original Line: CMNotLeft:
        __LABEL CMNotLeft
**** Original Line:   ld hl, tmp
        move.w  #tmp,d4
**** Original Line:   bit 1, (hl)
        __ADDR  4
        btst    #1,(a4)
**** Original Line:   jr z, CMNotRight
        bne     NC__47
        jmp     RA_CMNotRight
NC__47:
**** Original Line:   bit 2, (hl)
        __ADDR  4
        btst    #2,(a4)
**** Original Line:   jr z, CMNotRight
        bne     NC__48
        jmp     RA_CMNotRight
NC__48:
**** Original Line:   ld hl, (CurPosPtr)
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   dec (hl)
        __ADDR  4
        subq.b  #1,(a4)
**** Original Line:   ld hl, XBallDir
        move.w  #XBallDir,d4
**** Original Line:   CALL_(ChangeDir)
        jsr     RA_ChangeDir
**** Original Line: CMNotRight:
        __LABEL CMNotRight
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: MoveBall:
        __LABEL MoveBall
**** Original Line:   ld hl, (CurPosPtr)
        __LA    CurPosPtr
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   ld a, (clock)
        __LA    clock
        move.b  (a1),d7
**** Original Line:   ld ix, XBallMove      
        move.w  #XBallMove,d5
**** Original Line:   or (ix)
        __ADDR  5
        or.b   (a5),d7
**** Original Line:   ld d, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d3
        or.w    d1,d3
**** Original Line:   ld ix, CurBall
        move.w  #CurBall,d5
**** Original Line:   ld b, (ix)
        __ADDR  5
        move.b  (a5),d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   jr z, MBNSRLX1
        bne     NC__49
        jmp     RA_MBNSRLX1
NC__49:
**** Original Line: MBChkX:
        __LABEL MBChkX
**** Original Line:   srl d
        move.w  d3,d0
        asr.w   #8,d0
        __SRL   0
        asl.w   #8,d0
        and.w   #$ff,d3
        or.w    d0,d3
**** Original Line:   djnz MBChkX
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_MBChkX
**** Original Line: MBNSRLX1:
        __LABEL MBNSRLX1
**** Original Line:   ld a, d
        move.w  d3,d0
        asr.w   #8,d0
        move.b  d0,d7
**** Original Line:   and $01
        and.b   #$01,d7
**** Original Line:   JUMP_Z(MBStartY)      ;if x-ball movement is 0 and clock is 0, goto y-move
        bne     NC__50
        jmp     RA_MBStartY
NC__50:
**** Original Line:   ld a, (XBallDir)
        __LA    XBallDir
        move.b  (a1),d7
**** Original Line:   ld d, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d3
        or.w    d1,d3
**** Original Line:   ld ix, CurBall
        move.w  #CurBall,d5
**** Original Line:   ld b, (ix)
        __ADDR  5
        move.b  (a5),d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   jr z, MBNSRLX2
        bne     NC__51
        jmp     RA_MBNSRLX2
NC__51:
**** Original Line: MBMovX:
        __LABEL MBMovX
**** Original Line:   srl d
        move.w  d3,d0
        asr.w   #8,d0
        __SRL   0
        asl.w   #8,d0
        and.w   #$ff,d3
        or.w    d0,d3
**** Original Line:   djnz MBMovX
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_MBMovX
**** Original Line: MBNSRLX2:
        __LABEL MBNSRLX2
**** Original Line:   ld a, d
        move.w  d3,d0
        asr.w   #8,d0
        move.b  d0,d7
**** Original Line:   and $01
        and.b   #$01,d7
**** Original Line:   jr z, MBDecX
        bne     NC__52
        jmp     RA_MBDecX
NC__52:
**** Original Line:   inc (hl)
        __ADDR  4
        addq.b  #1,(a4)
**** Original Line:   jr MBStartY
        jmp     RA_MBStartY
**** Original Line: MBDecX:
        __LABEL MBDecX
**** Original Line:   dec (hl)
        __ADDR  4
        subq.b  #1,(a4)
**** Original Line: MBStartY:
        __LABEL MBStartY
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   ld a, (clock)
        __LA    clock
        move.b  (a1),d7
**** Original Line:   ld ix, YBallMove
        move.w  #YBallMove,d5
**** Original Line:   or (ix)
        __ADDR  5
        or.b   (a5),d7
**** Original Line:   ld d, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d3
        or.w    d1,d3
**** Original Line:   ld ix, CurBall
        move.w  #CurBall,d5
**** Original Line:   ld b, (ix)
        __ADDR  5
        move.b  (a5),d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   jr z, MBNSRLY1
        bne     NC__53
        jmp     RA_MBNSRLY1
NC__53:
**** Original Line: MBChkY:
        __LABEL MBChkY
**** Original Line:   srl d
        move.w  d3,d0
        asr.w   #8,d0
        __SRL   0
        asl.w   #8,d0
        and.w   #$ff,d3
        or.w    d0,d3
**** Original Line:   djnz MBChkY
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_MBChkY
**** Original Line: MBNSRLY1:
        __LABEL MBNSRLY1
**** Original Line:   ld a, d
        move.w  d3,d0
        asr.w   #8,d0
        move.b  d0,d7
**** Original Line:   and $01
        and.b   #$01,d7
**** Original Line:   ret z               ;if y-ball movement is 0 and clock is 0, return
        bne     NC__54
        rts
NC__54:
**** Original Line:   ld a, (YBallDir)    ;check move-direction
        __LA    YBallDir
        move.b  (a1),d7
**** Original Line:   ld d, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d3
        or.w    d1,d3
**** Original Line:   ld ix, CurBall
        move.w  #CurBall,d5
**** Original Line:   ld b, (ix)
        __ADDR  5
        move.b  (a5),d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   jr z, MBNSRLY2
        bne     NC__55
        jmp     RA_MBNSRLY2
NC__55:
**** Original Line: MBMovY:
        __LABEL MBMovY
**** Original Line:   srl d
        move.w  d3,d0
        asr.w   #8,d0
        __SRL   0
        asl.w   #8,d0
        and.w   #$ff,d3
        or.w    d0,d3
**** Original Line:   djnz MBMovY
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_MBMovY
**** Original Line: MBNSRLY2:
        __LABEL MBNSRLY2
**** Original Line:   ld a, d
        move.w  d3,d0
        asr.w   #8,d0
        move.b  d0,d7
**** Original Line:   and $01
        and.b   #$01,d7
**** Original Line:   jr z, MBDecY
        bne     NC__56
        jmp     RA_MBDecY
NC__56:
**** Original Line:   inc (hl)            ;increase coord if positive move-direction.....         
        __ADDR  4
        addq.b  #1,(a4)
**** Original Line:   ret
        rts
**** Original Line: MBDecY:
        __LABEL MBDecY
**** Original Line:   dec (hl)            ;decrease if negative
        __ADDR  4
        subq.b  #1,(a4)
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: RandomBalls:
        __LABEL RandomBalls
**** Original Line:   ld hl, XBallDir       ;Randomize ball pos and movement
        move.w  #XBallDir,d4
**** Original Line:   ld b, $04
        move.w  #($04)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line: RBStl1:                 ;generate randoms for move and directions
        __LABEL RBStl1
**** Original Line:   ld a, r
        __RAND
**** Original Line:   ld (hl), a
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   djnz RBStl1
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_RBStl1
**** Original Line: 
**** Original Line:   ld hl, XPosB1         ;generate randoms within screen for positions
        move.w  #XPosB1,d4
**** Original Line:   ld b, $08
        move.w  #($08)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line: RBStl2:
        __LABEL RBStl2
**** Original Line:   ld a, r
        __RAND
**** Original Line:   cp $03        ;check if number is in range
        cmp.b   #$03,d7
**** Original Line:   jr c, RBStl2
        bcc     NC__57
        jmp     RA_RBStl2
NC__57:
**** Original Line:   cp $5c
        cmp.b   #$5c,d7
**** Original Line:   jr nc, RBStl2
        bcs     NC__58
        jmp     RA_RBStl2
NC__58:
**** Original Line:   ld (hl), a
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line: RBStl3:
        __LABEL RBStl3
**** Original Line:   ld a, r
        __RAND
**** Original Line:   cp $03
        cmp.b   #$03,d7
**** Original Line:   jr c, RBStl3
        bcc     NC__59
        jmp     RA_RBStl3
NC__59:
**** Original Line:   cp $3c
        cmp.b   #$3c,d7
**** Original Line:   jr nc, RBStl3
        bcs     NC__60
        jmp     RA_RBStl3
NC__60:
**** Original Line:   ld (hl), a
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   djnz RBStl2
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_RBStl2
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: DrawBalls:
        __LABEL DrawBalls
**** Original Line:   ld a, (XPos)      ;toggle pixels under cursor
        __LA    XPos
        move.b  (a1),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld a, (YPos)
        __LA    YPos
        move.b  (a1),d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   ld a, (LastMove)
        __LA    LastMove
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr nz, DBVerCursor
        beq     NC__61
        jmp     RA_DBVerCursor
NC__61:
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   jr DBCursorDone
        jmp     RA_DBCursorDone
**** Original Line: DBVerCursor:
        __LABEL DBVerCursor
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line: DBCursorDone:
        __LABEL DBCursorDone
**** Original Line:   ld hl, XPosB1     ;toggle pixels under all balls
        move.w  #XPosB1,d4
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line: DBStl1:
        __LABEL DBStl1
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld (CurBall), a
        __LA    CurBall
        move.b  d7,(a1)
**** Original Line:   ld b, (hl)
        __ADDR  4
        move.b  (a4),d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   ld c, (hl)
        __ADDR  4
        move.b  (a4),d2
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   push hl
        move.w  sr,d0
        move.w  d4,-(sp)
        move.b  d0,ccr
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   ld a, (CurBall)
        __LA    CurBall
        move.b  (a1),d7
**** Original Line:   ld hl, NumBalls
        move.w  #NumBalls,d4
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   pop hl
        move.w  sr,d0
        move.w  (sp)+,d4
        move.b  d0,ccr
**** Original Line:   jr nz, DBStl1
        beq     NC__62
        jmp     RA_DBStl1
NC__62:
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: DrawLine:
        __LABEL DrawLine
**** Original Line:   ld a, (clock)       ; These lines makes line increase with one pixel
        __LA    clock
        move.b  (a1),d7
**** Original Line:   cp $00              ; 3/4 loops (balls moves 1 pixel/loop at most)
        cmp.b   #$00,d7
**** Original Line:   jr nz, DLDoIt       ; (default setting)
        beq     NC__63
        jmp     RA_DLDoIt
NC__63:
**** Original Line:   ld a, (clock2)      ;         /\
        __LA    clock2
        move.b  (a1),d7
**** Original Line:   cp $00              ;       / || \
        cmp.b   #$00,d7
**** Original Line:   ret z               ;         ||
        bne     NC__64
        rts
NC__64:
**** Original Line: DLDoIt:               ;         ||
        __LABEL DLDoIt
**** Original Line: ;  ld a, (clock)       ; Uncomment these 3 lines if you'ld like the line
**** Original Line: ;  cp $00              ; to increase by one pixel every second loop. (hard)
**** Original Line: ;  ret z               ; And comment out the default setting (abobve).
**** Original Line: ; If you'ld like line to increase by one pixel every loop (easy)
**** Original Line: ; then comment out both the functions abobve
**** Original Line:   ld a, (LinePos)         ;check if there is a current line
        __LA    LinePos
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   ret z                   ;if not return
        bne     NC__65
        rts
NC__65:
**** Original Line:   ld a, (LineDir)         ;check direction of line
        __LA    LineDir
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   JUMP_NZ(DLVer)
        beq     NC__66
        jmp     RA_DLVer
NC__66:
**** Original Line:   ld a, (LinePos)         ;Line was horisontal
        __LA    LinePos
        move.b  (a1),d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ld a, (LineOffs1)       
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   CALL_(GetPixel)         ;check if the pixel to the left of line 1 is black
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr nz, DLH1Done
        beq     NC__67
        jmp     RA_DLH1Done
NC__67:
**** Original Line:   ld a, (LineOffs1)
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   ld (LineOffs1), a       ;otherwise draw another pixel
        __LA    LineOffs1
        move.b  d7,(a1)
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line: DLH1Done:
        __LABEL DLH1Done
**** Original Line:   ld a, (LineOffs2)
        __LA    LineOffs2
        move.b  (a1),d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr nz, DLH2Done
        beq     NC__68
        jmp     RA_DLH2Done
NC__68:
**** Original Line:   ld a, (LineOffs2)
        __LA    LineOffs2
        move.b  (a1),d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld (LineOffs2), a
        __LA    LineOffs2
        move.b  d7,(a1)
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   ret                     ;if second part of line was not done, return
        rts
**** Original Line: DLH2Done:
        __LABEL DLH2Done
**** Original Line:   ld a, (LineOffs1)       ;check if first part of line is done
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   ret z                   ;if not, return
        bne     NC__69
        rts
NC__69:
**** Original Line:   ld a, (LineOffs1)       ;check won areas abowe(however that damn word is spelled)line
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   ld (RectX1), a
        __LA    RectX1
        move.b  d7,(a1)
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld a, (LineOffs2)
        __LA    LineOffs2
        move.b  (a1),d7
**** Original Line:   ld (RectX2), a
        __LA    RectX2
        move.b  d7,(a1)
**** Original Line:   ld a, (LinePos)
        __LA    LinePos
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ld (RectY2), a
        __LA    RectY2
        move.b  d7,(a1)
**** Original Line:   CALL_(GetPixel)       ;if line is just below a black area, bail out
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr nz, DLHUnderStart
        beq     NC__70
        jmp     RA_DLHUnderStart
NC__70:
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line: DLHStl1:
        __LABEL DLHStl1
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr z, DLHStl1
        bne     NC__71
        jmp     RA_DLHStl1
NC__71:
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   ld a, c
        move.b  d2,d7
**** Original Line:   ld (RectY1), a
        __LA    RectY1
        move.b  d7,(a1)
**** Original Line:   CALL_(CheckRect)        ;call procedure to check if any ball is inside rect and draw rect if not
        jsr     RA_CheckRect
**** Original Line: DLHUnderStart:
        __LABEL DLHUnderStart
**** Original Line:   ld a, (LinePos)         ;check won areas under line
        __LA    LinePos
        move.b  (a1),d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ld (RectY1), a
        __LA    RectY1
        move.b  d7,(a1)
**** Original Line:   ld a, (LineOffs1)
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00                  ;if line is just abobve a black area, bail out
        cmp.b   #$00,d7
**** Original Line:   jr nz, DLHUDone
        beq     NC__72
        jmp     RA_DLHUDone
NC__72:
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line: DLHUStl1:
        __LABEL DLHUStl1
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr z, DLHUStl1
        bne     NC__73
        jmp     RA_DLHUStl1
NC__73:
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line:   ld a, c
        move.b  d2,d7
**** Original Line:   ld (RectY2), a
        __LA    RectY2
        move.b  d7,(a1)
**** Original Line:   CALL_(CheckRect)        ;call procedure to check if any ball is
        jsr     RA_CheckRect
**** Original Line: DLHUDone:
        __LABEL DLHUDone
**** Original Line:   ld a, $00               ;indicate that there's no active line
        move.b  #$00,d7
**** Original Line:   ld (LinePos), a
        __LA    LinePos
        move.b  d7,(a1)
**** Original Line:   ret
        rts
**** Original Line: DLVer:                    ;Vertical line
        __LABEL DLVer
**** Original Line:   ld a, (LinePos)
        __LA    LinePos
        move.b  (a1),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld a, (LineOffs1)       ;add one pixel to top to line
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr nz, DLV1Done
        beq     NC__74
        jmp     RA_DLV1Done
NC__74:
**** Original Line:   ld a, (LineOffs1)
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   ld (LineOffs1), a
        __LA    LineOffs1
        move.b  d7,(a1)
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line: DLV1Done:
        __LABEL DLV1Done
**** Original Line:   ld a, (LineOffs2)       ;add one pixel from bottom
        __LA    LineOffs2
        move.b  (a1),d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr nz, DLV2Done
        beq     NC__75
        jmp     RA_DLV2Done
NC__75:
**** Original Line:   ld a, (LineOffs2)
        __LA    LineOffs2
        move.b  (a1),d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld (LineOffs2), a
        __LA    LineOffs2
        move.b  d7,(a1)
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   ret  
        rts
**** Original Line: DLV2Done:
        __LABEL DLV2Done
**** Original Line:   ld a, (LineOffs1)
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   ret z
        bne     NC__76
        rts
NC__76:
**** Original Line:   ld a, (LineOffs1)       ;check won areas to the left of line
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   ld c, a               
        move.b  d7,d2
**** Original Line:   ld (RectY1), a
        __LA    RectY1
        move.b  d7,(a1)
**** Original Line:   ld a, (LineOffs2)
        __LA    LineOffs2
        move.b  (a1),d7
**** Original Line:   ld (RectY2), a
        __LA    RectY2
        move.b  d7,(a1)
**** Original Line:   ld a, (LinePos)
        __LA    LinePos
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld (RectX2), a
        __LA    RectX2
        move.b  d7,(a1)
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr nz, DLVUnderStart
        beq     NC__77
        jmp     RA_DLVUnderStart
NC__77:
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line: DLVStl1:
        __LABEL DLVStl1
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr z, DLVStl1
        bne     NC__78
        jmp     RA_DLVStl1
NC__78:
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   ld a, b
        move.w  d2,d0
        asr.w   #8,d0
        move.b  d0,d7
**** Original Line:   ld (RectX1), a
        __LA    RectX1
        move.b  d7,(a1)
**** Original Line:   CALL_(CheckRect)        ;call procedure to check if any ball is within area and to draw rect if not
        jsr     RA_CheckRect
**** Original Line: DLVUnderStart:
        __LABEL DLVUnderStart
**** Original Line:   ld a, (LineOffs1)
        __LA    LineOffs1
        move.b  (a1),d7
**** Original Line:   ld c, a               ;check won areas on the right of line
        move.b  d7,d2
**** Original Line:   ld a, (LinePos)
        __LA    LinePos
        move.b  (a1),d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld (RectX1), a
        __LA    RectX1
        move.b  d7,(a1)
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr nz, DLVUDone
        beq     NC__79
        jmp     RA_DLVUDone
NC__79:
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line: DLVUStl1:
        __LABEL DLVUStl1
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(GetPixel)         ;loop until white pixel is found
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr z, DLVUStl1
        bne     NC__80
        jmp     RA_DLVUStl1
NC__80:
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   ld a, b
        move.w  d2,d0
        asr.w   #8,d0
        move.b  d0,d7
**** Original Line:   ld (RectX2), a
        __LA    RectX2
        move.b  d7,(a1)
**** Original Line:   CALL_(CheckRect)        ;call procedure to check if any ball is
        jsr     RA_CheckRect
**** Original Line: DLVUDone:
        __LABEL DLVUDone
**** Original Line:   ld a, $00               ;finsh line off
        move.b  #$00,d7
**** Original Line:   ld (LinePos), a
        __LA    LinePos
        move.b  d7,(a1)
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: InitLine:
        __LABEL InitLine
**** Original Line:   ld a, (LinePos)         ;return if there already is a line
        __LA    LinePos
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   ret nz
        beq     NC__81
        rts
NC__81:
**** Original Line:   ld a, (XPos)            ;check if it's black under the cursor, if so return
        __LA    XPos
        move.b  (a1),d7
**** Original Line:   ld b, a                 ;note that black=white when the cursor is drawed
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld a, (YPos)            ;(it is now), since it inverts what's under it
        __LA    YPos
        move.b  (a1),d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   ret z
        bne     NC__82
        rts
NC__82:
**** Original Line:   ld a, (LastMove)        ;check direction of line
        __LA    LastMove
        move.b  (a1),d7
**** Original Line:   ld (LineDir), a         
        __LA    LineDir
        move.b  d7,(a1)
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   JUMP_Z(InitLineHor)     
        bne     NC__83
        jmp     RA_InitLineHor
NC__83:
**** Original Line:   ld a, (XPos)            ;line will be vertical
        __LA    XPos
        move.b  (a1),d7
**** Original Line:   ld (LinePos), a
        __LA    LinePos
        move.b  d7,(a1)
**** Original Line:   ld a, (YPos)
        __LA    YPos
        move.b  (a1),d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld (LineOffs1), a       ;the line going upwards will start one pixel down
        __LA    LineOffs1
        move.b  d7,(a1)
**** Original Line:   dec a                   ;so there won't be a gap between the two lines
        subq.b  #1,d7
**** Original Line:   ld (LineOffs2), a
        __LA    LineOffs2
        move.b  d7,(a1)
**** Original Line:   ret
        rts
**** Original Line: InitLineHor:
        __LABEL InitLineHor
**** Original Line:   ld a, (YPos)
        __LA    YPos
        move.b  (a1),d7
**** Original Line:   ld (LinePos), a
        __LA    LinePos
        move.b  d7,(a1)
**** Original Line:   ld a, (XPos)
        __LA    XPos
        move.b  (a1),d7
**** Original Line:   inc a                   ;the line going to the left will start one pixel
        addq.b  #1,d7
**** Original Line:   ld (LineOffs1), a       ;to the right so there won't be a gap.
        __LA    LineOffs1
        move.b  d7,(a1)
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   ld (LineOffs2), a
        __LA    LineOffs2
        move.b  d7,(a1)
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: MoveUp:
        __LABEL MoveUp
**** Original Line:   ld a, (YPos)
        __LA    YPos
        move.b  (a1),d7
**** Original Line:   cp $02
        cmp.b   #$02,d7
**** Original Line:   ret z
        bne     NC__84
        rts
NC__84:
**** Original Line:   ld ix, Move
        move.w  #Move,d5
**** Original Line:   set 2, (ix)
        __ADDR  5
        bset    #2,(a5)
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: MoveDown:
        __LABEL MoveDown
**** Original Line:   ld a, (YPos)
        __LA    YPos
        move.b  (a1),d7
**** Original Line:   cp $3d
        cmp.b   #$3d,d7
**** Original Line:   ret z
        bne     NC__85
        rts
NC__85:
**** Original Line:   ld ix, Move
        move.w  #Move,d5
**** Original Line:   set 3, (ix)
        __ADDR  5
        bset    #3,(a5)
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: MoveLeft:
        __LABEL MoveLeft
**** Original Line:   ld a, (XPos)
        __LA    XPos
        move.b  (a1),d7
**** Original Line:   cp $02
        cmp.b   #$02,d7
**** Original Line:   ret z
        bne     NC__86
        rts
NC__86:
**** Original Line:   ld ix, Move
        move.w  #Move,d5
**** Original Line:   set 0, (ix)
        __ADDR  5
        bset    #0,(a5)
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: MoveRight:
        __LABEL MoveRight
**** Original Line:   ld a, (XPos)
        __LA    XPos
        move.b  (a1),d7
**** Original Line:   cp $5d
        cmp.b   #$5d,d7
**** Original Line:   ret z
        bne     NC__87
        rts
NC__87:
**** Original Line:   ld ix, Move
        move.w  #Move,d5
**** Original Line:   set 1, (ix)
        __ADDR  5
        bset    #1,(a5)
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: 
**** Original Line: GetPixel:  ;  X-value in b, Y-value in c   
        __LABEL GetPixel
**** Original Line:   ld a, $3f
        move.b  #$3f,d7
**** Original Line:   sub c
        sub.b   d2,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ROM_CALL(FIND_PIXEL)
        jsr     ti85lib@0009
**** Original Line:   ld de, VIDEO_MEM
        move.w  #VIDEO_MEM,d3
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   and (hl)
        __ADDR  4
        and.b   (a4),d7
**** Original Line:   ld d, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d3
        or.w    d1,d3
**** Original Line:   ld a, $3f
        move.b  #$3f,d7
**** Original Line:   sub c
        sub.b   d2,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ld a, d
        move.w  d3,d0
        asr.w   #8,d0
        move.b  d0,d7
**** Original Line:   ret     ;a=nonzero:pixel is 1, a=zero:pixel is 0
        rts
**** Original Line: 
**** Original Line: ChgPixel:  ;  X-value in b, Y-value in c   
        __LABEL ChgPixel
**** Original Line:   ld a, $3f
        move.b  #$3f,d7
**** Original Line:   sub c
        sub.b   d2,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ROM_CALL(FIND_PIXEL)
        jsr     ti85lib@0009
**** Original Line:   ld de, VIDEO_MEM
        move.w  #VIDEO_MEM,d3
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   xor (hl)
        __ADDR  4
        move.b  (a4),d1
        eor.b   d1,d7
**** Original Line:   ld (hl), a
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   ld a, $3f
        move.b  #$3f,d7
**** Original Line:   sub c
        sub.b   d2,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: SetPixel:  ;  X-value in b, Y-value in c   
        __LABEL SetPixel
**** Original Line:   ld a, $3f
        move.b  #$3f,d7
**** Original Line:   sub c
        sub.b   d2,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ROM_CALL(FIND_PIXEL)
        jsr     ti85lib@0009
**** Original Line:   ld de, VIDEO_MEM
        move.w  #VIDEO_MEM,d3
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   or (hl)
        __ADDR  4
        or.b   (a4),d7
**** Original Line:   ld (hl), a
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   ld a, $3f
        move.b  #$3f,d7
**** Original Line:   sub c
        sub.b   d2,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: ResPixel:  ; X-value in b, Y-value in c   
        __LABEL ResPixel
**** Original Line:   ld a, $3f
        move.b  #$3f,d7
**** Original Line:   sub c
        sub.b   d2,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ROM_CALL(FIND_PIXEL)
        jsr     ti85lib@0009
**** Original Line:   ld de, VIDEO_MEM
        move.w  #VIDEO_MEM,d3
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   cpl
        not.b   d7
**** Original Line:   and (hl)
        __ADDR  4
        and.b   (a4),d7
**** Original Line:   ld (hl), a
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   ld a, $3f
        move.b  #$3f,d7
**** Original Line:   sub c
        sub.b   d2,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: DrawFrame:
        __LABEL DrawFrame
**** Original Line:   ld c, $00
        move.b  #$00,d2
**** Original Line: DFStl1:
        __LABEL DFStl1
**** Original Line:   ld b, $5f
        move.w  #($5f)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line: DFStl2:
        __LABEL DFStl2
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   djnz DFStl2
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_DFStl2
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   ld a, c
        move.b  d2,d7
**** Original Line:   cp $01
        cmp.b   #$01,d7
**** Original Line:   jr z, DFStl1
        bne     NC__88
        jmp     RA_DFStl1
NC__88:
**** Original Line:   cp $02
        cmp.b   #$02,d7
**** Original Line:   JUMP_Z(DFGoDown)
        bne     NC__89
        jmp     RA_DFGoDown
NC__89:
**** Original Line:   cp $3f
        cmp.b   #$3f,d7
**** Original Line:   jr z, DFStl1      ;horisontal lines drawed
        bne     NC__90
        jmp     RA_DFStl1
NC__90:
**** Original Line:   ld b, $00
        move.w  #($00)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line: DFStl3:
        __LABEL DFStl3
**** Original Line:   ld c, $02
        move.b  #$02,d2
**** Original Line: DFStl4:
        __LABEL DFStl4
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   ld a, c
        move.b  d2,d7
**** Original Line:   cp $3e
        cmp.b   #$3e,d7
**** Original Line:   jr nz, DFStl4
        beq     NC__91
        jmp     RA_DFStl4
NC__91:
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   ld a, b
        move.w  d2,d0
        asr.w   #8,d0
        move.b  d0,d7
**** Original Line:   cp $01
        cmp.b   #$01,d7
**** Original Line:   jr z, DFStl3
        bne     NC__92
        jmp     RA_DFStl3
NC__92:
**** Original Line:   cp $02
        cmp.b   #$02,d7
**** Original Line:   JUMP_Z(DFGoRight)
        bne     NC__93
        jmp     RA_DFGoRight
NC__93:
**** Original Line:   cp $5f
        cmp.b   #$5f,d7
**** Original Line:   jr z, DFStl3
        bne     NC__94
        jmp     RA_DFStl3
NC__94:
**** Original Line:   ld hl, ScoreText      ;print score-text
        move.w  #ScoreText,d4
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, $67
        move.b  #$67,d7
**** Original Line:   ld (CURSOR_X), a
        __LA    CURSOR_X
        move.b  d7,(a1)
**** Original Line:   ld a, $01
        move.b  #$01,d7
**** Original Line:   ld (CURSOR_Y), a
        __LA    CURSOR_Y
        move.b  d7,(a1)
**** Original Line:   ROM_CALL(D_ZM_STR)
        jsr     ti85lib@000E
**** Original Line:   ld hl, LivesText      ;print lives-text
        move.w  #LivesText,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, $67
        move.b  #$67,d7
**** Original Line:   ld (CURSOR_X), a
        __LA    CURSOR_X
        move.b  d7,(a1)
**** Original Line:   ld a, $10
        move.b  #$10,d7
**** Original Line:   ld (CURSOR_Y), a
        __LA    CURSOR_Y
        move.b  d7,(a1)
**** Original Line:   ROM_CALL(D_ZM_STR)
        jsr     ti85lib@000E
**** Original Line:   ld hl, HiScoreText    ;print "HiScore"
        move.w  #HiScoreText,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, $64
        move.b  #$64,d7
**** Original Line:   ld (CURSOR_X), a
        __LA    CURSOR_X
        move.b  d7,(a1)
**** Original Line:   ld a, $20
        move.b  #$20,d7
**** Original Line:   ld (CURSOR_Y), a
        __LA    CURSOR_Y
        move.b  d7,(a1)
**** Original Line:   ROM_CALL(D_ZM_STR)
        jsr     ti85lib@000E
**** Original Line:   ld hl, HiScore
        move.w  #HiScore,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   call LD_HL_MHL
        jsr     ti85lib@000A
**** Original Line:   ld a, $67
        move.b  #$67,d7
**** Original Line:   ld (CURSOR_X), a
        __LA    CURSOR_X
        move.b  d7,(a1)
**** Original Line:   ld a, $27
        move.b  #$27,d7
**** Original Line:   ld (CURSOR_Y), a
        __LA    CURSOR_Y
        move.b  d7,(a1)
**** Original Line:   CALL_(PrintNumber)
        jsr     RA_PrintNumber
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, ByText
        move.w  #ByText,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, $6d
        move.b  #$6d,d7
**** Original Line:   ld (CURSOR_X), a
        __LA    CURSOR_X
        move.b  d7,(a1)
**** Original Line:   ld a, $2e
        move.b  #$2e,d7
**** Original Line:   ld (CURSOR_Y), a
        __LA    CURSOR_Y
        move.b  d7,(a1)
**** Original Line:   ROM_CALL(D_ZM_STR)
        jsr     ti85lib@000E
**** Original Line:   ld hl, HiName
        move.w  #HiName,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, $6b
        move.b  #$6b,d7
**** Original Line:   ld (CURSOR_X), a
        __LA    CURSOR_X
        move.b  d7,(a1)
**** Original Line:   ld a, $35
        move.b  #$35,d7
**** Original Line:   ld (CURSOR_Y), a
        __LA    CURSOR_Y
        move.b  d7,(a1)
**** Original Line:   ROM_CALL(D_ZM_STR)
        jsr     ti85lib@000E
**** Original Line:   CALL_(DrawScore)
        jsr     RA_DrawScore
**** Original Line:   CALL_(DrawLives)
        jsr     RA_DrawLives
**** Original Line:   ld a, $30             ;init values
        move.b  #$30,d7
**** Original Line:   ld (XPos), a          
        __LA    XPos
        move.b  d7,(a1)
**** Original Line:   ld a, $20
        move.b  #$20,d7
**** Original Line:   ld (YPos), a
        __LA    YPos
        move.b  d7,(a1)
**** Original Line:   ret
        rts
**** Original Line: DFGoDown:
        __LABEL DFGoDown
**** Original Line:   ld c, $3e
        move.b  #$3e,d2
**** Original Line:   JUMP_(DFStl1)
        jmp     RA_DFStl1
**** Original Line: DFGoRight:
        __LABEL DFGoRight
**** Original Line:   ld b, $5e
        move.w  #($5e)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line:   JUMP_(DFStl3)
        jmp     RA_DFStl3
**** Original Line: 
**** Original Line: GameOver:
        __LABEL GameOver
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, HiScore
        move.w  #HiScore,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   call LD_HL_MHL
        jsr     ti85lib@000A
**** Original Line:   ld de, (Score)
        __LA    Score
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   call CP_HL_DE
        jsr     ti85lib@0010
**** Original Line:   JUMP_C(EnterIntls)
        bcc     NC__95
        jmp     RA_EnterIntls
NC__95:
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, GameOverText
        move.w  #GameOverText,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, $04           
        move.b  #$04,d7
**** Original Line:   ld (CURSOR_COL), a
        __LA    CURSOR_COL
        move.b  d7,(a1)
**** Original Line:   ld a, $03
        move.b  #$03,d7
**** Original Line:   ld (CURSOR_ROW), a
        __LA    CURSOR_ROW
        move.b  d7,(a1)
**** Original Line:   ROM_CALL(D_ZT_STR)
        jsr     ti85lib@0005
**** Original Line: GOKeyLoop:
        __LABEL GOKeyLoop
**** Original Line:   call GET_KEY
        jsr     ti85lib@0006
**** Original Line:   cp $36
        cmp.b   #$36,d7
**** Original Line:   jr z, GOCont
        bne     NC__96
        jmp     RA_GOCont
NC__96:
**** Original Line:   cp $37
        cmp.b   #$37,d7
**** Original Line:   jr z, GOCont
        bne     NC__97
        jmp     RA_GOCont
NC__97:
**** Original Line:   cp $09
        cmp.b   #$09,d7
**** Original Line:   jr nz, GOKeyLoop
        beq     NC__98
        jmp     RA_GOKeyLoop
NC__98:
**** Original Line: GOCont:
        __LABEL GOCont
**** Original Line:   CALL_(LeaveGame)
        jsr     RA_LeaveGame
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: LeaveGame:
        __LABEL LeaveGame
**** Original Line:   ld a, (OldContrast)   ;reset contrast
        __LA    OldContrast
        move.b  (a1),d7
**** Original Line:   ld (CONTRAST), a
        __LA    CONTRAST
        move.b  d7,(a1)
**** Original Line: 	out (2),a
        move.b  #2,d1
        jsr     ti85lib@0007
**** Original Line:   ld a, $01
        move.b  #$01,d7
**** Original Line:   ld (ZS_BITS), a
        __LA    ZS_BITS
        move.b  d7,(a1)
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: StartIntro:
        __LABEL StartIntro
**** Original Line:   ld de, (PROGRAM_ADDR)     ;copy logo to graph-mem
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, IntroImage
        move.w  #IntroImage,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld de, VIDEO_MEM
        move.w  #VIDEO_MEM,d3
**** Original Line:   ld bc, $0100
        move.w  #$0100,d2
**** Original Line:   ldir
        __LDIR
**** Original Line:   set 3, (IY+05)            ;print first text inverse
        __ADDR  6
        bset    #3,05(a6)
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ld (CURSOR_COL), a
        __LA    CURSOR_COL
        move.b  d7,(a1)
**** Original Line:   ld a, $03
        move.b  #$03,d7
**** Original Line:   ld (CURSOR_ROW), a
        __LA    CURSOR_ROW
        move.b  d7,(a1)
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, IntroText1
        move.w  #IntroText1,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ROM_CALL(D_ZT_STR)
        jsr     ti85lib@0005
**** Original Line:   ld hl, IntroText2         ;draw scroll-bar-text
        move.w  #IntroText2,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, $16
        move.b  #$16,d7
**** Original Line:   ld (CURSOR_X), a
        __LA    CURSOR_X
        move.b  d7,(a1)
**** Original Line:   ld a, $21
        move.b  #$21,d7
**** Original Line:   ld (CURSOR_Y), a
        __LA    CURSOR_Y
        move.b  d7,(a1)
**** Original Line:   ROM_CALL(D_ZM_STR)
        jsr     ti85lib@000E
**** Original Line:   ld hl, IntroText3
        move.w  #IntroText3,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, $16
        move.b  #$16,d7
**** Original Line:   ld (CURSOR_X), a
        __LA    CURSOR_X
        move.b  d7,(a1)
**** Original Line:   ld a, $2e
        move.b  #$2e,d7
**** Original Line:   ld (CURSOR_Y), a
        __LA    CURSOR_Y
        move.b  d7,(a1)
**** Original Line:   ROM_CALL(D_ZM_STR)
        jsr     ti85lib@000E
**** Original Line:   ld hl, IntroText4         ;draw "press enter..." text
        move.w  #IntroText4,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, $53
        move.b  #$53,d7
**** Original Line:   ld (CURSOR_X), a
        __LA    CURSOR_X
        move.b  d7,(a1)
**** Original Line:   ld a, $3a
        move.b  #$3a,d7
**** Original Line:   ld (CURSOR_Y), a
        __LA    CURSOR_Y
        move.b  d7,(a1)
**** Original Line:   ROM_CALL(D_ZM_STR)
        jsr     ti85lib@000E
**** Original Line:   ld c, $28                 ;draw scroll-bars
        move.b  #$28,d2
**** Original Line:   CALL_(DoScrollRect)
        jsr     RA_DoScrollRect
**** Original Line:   ld c, $35
        move.b  #$35,d2
**** Original Line:   CALL_(DoScrollRect)
        jsr     RA_DoScrollRect
**** Original Line:   CALL_(InitSpeedScroll)    ;get old speed-value
        jsr     RA_InitSpeedScroll
**** Original Line:   CALL_(InitContrScroll)    ;get old contrast-increase
        jsr     RA_InitContrScroll
**** Original Line:   ld c, $29                 ;draw scrollbar-pointers
        move.b  #$29,d2
**** Original Line:   CALL_(DrawSBCursor)
        jsr     RA_DrawSBCursor
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ld (ActiveControl), a
        __LA    ActiveControl
        move.b  d7,(a1)
**** Original Line: SIStl:                  ; Intro key-loop start
        __LABEL SIStl
**** Original Line:   call GET_KEY
        jsr     ti85lib@0006
**** Original Line:   ld (tmp), a
        __LA    tmp
        move.b  d7,(a1)
**** Original Line:   cp $37
        cmp.b   #$37,d7
**** Original Line:   jr nz, SINotExit
        beq     NC__99
        jmp     RA_SINotExit
NC__99:
**** Original Line:   ld a, (CONTRAST)
        __LA    CONTRAST
        move.b  (a1),d7
**** Original Line:   ld (OldContrast), a
        __LA    OldContrast
        move.b  d7,(a1)
**** Original Line:   JUMP_(LeaveGame)
        jmp     RA_LeaveGame
**** Original Line: SINotExit:
        __LABEL SINotExit
**** Original Line:   cp $38
        cmp.b   #$38,d7
**** Original Line:   jr nz, SINotMore
        beq     NC__100
        jmp     RA_SINotMore
NC__100:
**** Original Line:   CALL_(PrintScreen)
        jsr     RA_PrintScreen
**** Original Line:   jr SIStl
        jmp     RA_SIStl
**** Original Line: SINotMore:
        __LABEL SINotMore
**** Original Line:   cp $01
        cmp.b   #$01,d7
**** Original Line:   jr nz, SINot1
        beq     NC__101
        jmp     RA_SINot1
NC__101:
**** Original Line:   ld a, (ActiveControl)
        __LA    ActiveControl
        move.b  (a1),d7
**** Original Line:   cp $00          
        cmp.b   #$00,d7
**** Original Line:   jr nz, SINot1
        beq     NC__102
        jmp     RA_SINot1
NC__102:
**** Original Line:   CALL_(ToggleActive)
        jsr     RA_ToggleActive
**** Original Line:   ld a, $01
        move.b  #$01,d7
**** Original Line:   ld (ActiveControl), a
        __LA    ActiveControl
        move.b  d7,(a1)
**** Original Line: SINot1:
        __LABEL SINot1
**** Original Line:   ld a, (tmp)
        __LA    tmp
        move.b  (a1),d7
**** Original Line:   cp $04
        cmp.b   #$04,d7
**** Original Line:   jr nz, SINot4
        beq     NC__103
        jmp     RA_SINot4
NC__103:
**** Original Line:   ld a, (ActiveControl)
        __LA    ActiveControl
        move.b  (a1),d7
**** Original Line:   cp $00        
        cmp.b   #$00,d7
**** Original Line:   jr z, SINot4
        bne     NC__104
        jmp     RA_SINot4
NC__104:
**** Original Line:   CALL_(ToggleActive)
        jsr     RA_ToggleActive
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ld (ActiveControl), a
        __LA    ActiveControl
        move.b  d7,(a1)
**** Original Line: SINot4:
        __LABEL SINot4
**** Original Line:   ld a, (tmp)
        __LA    tmp
        move.b  (a1),d7
**** Original Line:   cp $09
        cmp.b   #$09,d7
**** Original Line:   JUMP_Z(AfterIntro)
        bne     NC__105
        jmp     RA_AfterIntro
NC__105:
**** Original Line:   cp $55
        cmp.b   #$55,d7
**** Original Line:   JUMP_Z(AfterIntro)
        bne     NC__106
        jmp     RA_AfterIntro
NC__106:
**** Original Line:   cp $03
        cmp.b   #$03,d7
**** Original Line:   jr nz, SINotRight
        beq     NC__107
        jmp     RA_SINotRight
NC__107:
**** Original Line:   ld a, (ActiveControl)
        __LA    ActiveControl
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr nz, SIACRConst
        beq     NC__108
        jmp     RA_SIACRConst
NC__108:
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   CALL_(ChangeSpeed)
        jsr     RA_ChangeSpeed
**** Original Line:   jr SINotRight
        jmp     RA_SINotRight
**** Original Line: SIACRConst:
        __LABEL SIACRConst
**** Original Line:   ld a, $02
        move.b  #$02,d7
**** Original Line:   CALL_(ChangeContr)
        jsr     RA_ChangeContr
**** Original Line: SINotRight:
        __LABEL SINotRight
**** Original Line:   ld a, (tmp)
        __LA    tmp
        move.b  (a1),d7
**** Original Line:   cp $02
        cmp.b   #$02,d7
**** Original Line:   JUMP_NZ(SIStl)
        beq     NC__109
        jmp     RA_SIStl
NC__109:
**** Original Line:   ld a, (ActiveControl)
        __LA    ActiveControl
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr nz, SIACLConst
        beq     NC__110
        jmp     RA_SIACLConst
NC__110:
**** Original Line:   ld a, $02
        move.b  #$02,d7
**** Original Line:   CALL_(ChangeSpeed)
        jsr     RA_ChangeSpeed
**** Original Line:   JUMP_(SIStl)
        jmp     RA_SIStl
**** Original Line: SIACLConst:
        __LABEL SIACLConst
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   CALL_(ChangeContr)
        jsr     RA_ChangeContr
**** Original Line:   JUMP_(SIStl)
        jmp     RA_SIStl
**** Original Line: 
**** Original Line: ChangeContr:    ;a=0:decrease, a=2:increase
        __LABEL ChangeContr
**** Original Line:   ld (tmp2), a
        __LA    tmp2
        move.b  d7,(a1)
**** Original Line:   CALL_(InitContrScroll)  ;erase old
        jsr     RA_InitContrScroll
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, ContrastDB
        move.w  #ContrastDB,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld b, (hl)
        __ADDR  4
        move.b  (a4),d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld a, (tmp2)
        __LA    tmp2
        move.b  (a1),d7
**** Original Line:   add a,b
        move.w  d2,d0
        asr.w   #8,d0
        add.b   d0,d7
**** Original Line:   dec a         ;new speed in a
        subq.b  #1,d7
**** Original Line:   cp $ff        ;check new value
        cmp.b   #$ff,d7
**** Original Line:   jr z, CCEnd
        bne     NC__111
        jmp     RA_CCEnd
NC__111:
**** Original Line:   cp $0b
        cmp.b   #$0b,d7
**** Original Line:   jr z, CCEnd
        bne     NC__112
        jmp     RA_CCEnd
NC__112:
**** Original Line:   ld (hl), a    ;value was ok...
        __ADDR  4
        move.b  d7,(a4)
**** Original Line: CCEnd:
        __LABEL CCEnd
**** Original Line:   CALL_(InitContrScroll)
        jsr     RA_InitContrScroll
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: ChangeSpeed:    ;a=0:decrease, a=2:increase
        __LABEL ChangeSpeed
**** Original Line:   ld (tmp2), a
        __LA    tmp2
        move.b  d7,(a1)
**** Original Line:   CALL_(InitSpeedScroll)  ;erase old
        jsr     RA_InitSpeedScroll
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, SpeedDB
        move.w  #SpeedDB,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld b, (hl)
        __ADDR  4
        move.b  (a4),d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld a, (tmp2)
        __LA    tmp2
        move.b  (a1),d7
**** Original Line:   add a,b
        move.w  d2,d0
        asr.w   #8,d0
        add.b   d0,d7
**** Original Line:   dec a         ;new speed in a
        subq.b  #1,d7
**** Original Line:   cp $ff        ;check new value
        cmp.b   #$ff,d7
**** Original Line:   jr z, CSEnd
        bne     NC__113
        jmp     RA_CSEnd
NC__113:
**** Original Line:   cp $51
        cmp.b   #$51,d7
**** Original Line:   jr z, CSEnd
        bne     NC__114
        jmp     RA_CSEnd
NC__114:
**** Original Line:   ld (hl), a    ;value was ok...
        __ADDR  4
        move.b  d7,(a4)
**** Original Line: CSEnd:
        __LABEL CSEnd
**** Original Line:   CALL_(InitSpeedScroll)
        jsr     RA_InitSpeedScroll
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: ToggleActive:
        __LABEL ToggleActive
**** Original Line:   ld c, $29
        move.b  #$29,d2
**** Original Line:   CALL_(DrawSBCursor)
        jsr     RA_DrawSBCursor
**** Original Line:   ld c, $36
        move.b  #$36,d2
**** Original Line:   CALL_(DrawSBCursor)
        jsr     RA_DrawSBCursor
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: DrawSBCursor:   ;y-value in c
        __LABEL DrawSBCursor
**** Original Line:   ld b, $14
        move.w  #($14)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   ld b, $6b
        move.w  #($6b)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: InitContrScroll:
        __LABEL InitContrScroll
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, ContrastDB
        move.w  #ContrastDB,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, (hl)
        __ADDR  4
        move.b  (a4),d7
**** Original Line:   sla a
        __SLA   7
**** Original Line:   sla a
        __SLA   7
**** Original Line:   sla a
        __SLA   7
**** Original Line:   add a, $17
        add.b   #$17,d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld c, $36
        move.b  #$36,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: InitSpeedScroll:
        __LABEL InitSpeedScroll
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, SpeedDB
        move.w  #SpeedDB,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, $67
        move.b  #$67,d7
**** Original Line:   sub (hl)
        __ADDR  4
        sub.b   (a4),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld c, $29
        move.b  #$29,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(ChgPixel)
        jsr     RA_ChgPixel
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: DoScrollRect:     ;  y-coord in c
        __LABEL DoScrollRect
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line: DSRLineStart:
        __LABEL DSRLineStart
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld (tmp), a
        __LA    tmp
        move.b  d7,(a1)
**** Original Line:   ld b, $68
        move.w  #($68)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line: DSRStl1:
        __LABEL DSRStl1
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   ld a, b
        move.w  d2,d0
        asr.w   #8,d0
        move.b  d0,d7
**** Original Line:   cp $15
        cmp.b   #$15,d7
**** Original Line:   jr nz, DSRStl1
        beq     NC__115
        jmp     RA_DSRStl1
NC__115:
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   ld a, (tmp)
        __LA    tmp
        move.b  (a1),d7
**** Original Line:   cp $01
        cmp.b   #$01,d7
**** Original Line:   jr z, DSRLineStart
        bne     NC__116
        jmp     RA_DSRLineStart
NC__116:
**** Original Line:   ld a, c
        move.b  d2,d7
**** Original Line:   sub $05
        sub.b   #$05,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ld b, $16
        move.w  #($16)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   ld b, $68
        move.w  #($68)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: CheckRect:      ;proc to check if there's any balls within rect, otherwise, draw rect
        __LABEL CheckRect
**** Original Line:   ld hl, XPosB1
        move.w  #XPosB1,d4
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ld b, a    ; b=current ball
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line: CRStl1:
        __LABEL CRStl1
**** Original Line:   ld a, (RectX1)
        __LA    RectX1
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   jr nc, CRNotInsideX
        bcs     NC__117
        jmp     RA_CRNotInsideX
NC__117:
**** Original Line:   ld a, (RectX2)
        __LA    RectX2
        move.b  (a1),d7
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   jr c, CRNotInsideX
        bcc     NC__118
        jmp     RA_CRNotInsideX
NC__118:
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   ld a, (RectY1)
        __LA    RectY1
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   jr nc, CRNotInside
        bcs     NC__119
        jmp     RA_CRNotInside
NC__119:
**** Original Line:   ld a, (RectY2)
        __LA    RectY2
        move.b  (a1),d7
**** Original Line:   cp (hl)
        __ADDR  4
        cmp.b   (a4),d7
**** Original Line:   jr c, CRNotInside
        bcc     NC__120
        jmp     RA_CRNotInside
NC__120:
**** Original Line:   ret     ;If any ball inside, don't draw rectangle
        rts
**** Original Line: CRNotInsideX:
        __LABEL CRNotInsideX
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line: CRNotInside:
        __LABEL CRNotInside
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   ld a, (NumBalls)
        __LA    NumBalls
        move.b  (a1),d7
**** Original Line:   cp b
        move.w  d2,d0
        asr.w   #8,d0
        cmp.b   d0,d7
**** Original Line:   JUMP_NZ(CRStl1)
        beq     NC__121
        jmp     RA_CRStl1
NC__121:
**** Original Line:   CALL_(DrawRect)   ;If all balls passed test, draw rect
        jsr     RA_DrawRect
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: DrawScore:
        __LABEL DrawScore
**** Original Line:   ld hl, (Score)
        __LA    Score
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   ld a, $67
        move.b  #$67,d7
**** Original Line:   ld (CURSOR_X), a
        __LA    CURSOR_X
        move.b  d7,(a1)
**** Original Line:   ld a, $07
        move.b  #$07,d7
**** Original Line:   ld (CURSOR_Y), a
        __LA    CURSOR_Y
        move.b  d7,(a1)
**** Original Line:   CALL_(PrintNumber)
        jsr     RA_PrintNumber
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: PrintNumber:       ;number to print in hl, CURSOR_X and Y set 
        __LABEL PrintNumber
**** Original Line:   ld de, ScoreTxt+4   ;buffer to store ASCII in
        move.w  #ScoreTxt+4,d3
**** Original Line:   ld b, $05           ;number of digits to print
        move.w  #($05)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line: PNStl1:
        __LABEL PNStl1
**** Original Line:   call UNPACK_HL      ;call function to convert from number to digit
        jsr     ti85lib@000F
**** Original Line:   add a, '0'          ;convert digit to ASCII-number for digit
        add.b   #'0',d7
**** Original Line:   ld (de), a          ;store in ASCII-buffer
        __ADDR  3
        move.b  d7,(a3)
**** Original Line:   dec de
        subq.w  #1,d3
**** Original Line:   djnz PNStl1         ;loop 5 times
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_PNStl1
**** Original Line:   ld hl, ScoreTxt
        move.w  #ScoreTxt,d4
**** Original Line:   ld b, $05
        move.w  #($05)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line:   res 3, (iy+5)         ;overwrite current screen with menu-texts
        __ADDR  6
        bclr    #3,5(a6)
**** Original Line:   ROM_CALL(D_LM_STR)  ;print it to screen
        jsr     ti85lib@000B
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: DrawLives:
        __LABEL DrawLives
**** Original Line:   ld a, (Lives)   
        __LA    Lives
        move.b  (a1),d7
**** Original Line:   add a, '0'
        add.b   #'0',d7
**** Original Line:   ld (tmp), a
        __LA    tmp
        move.b  d7,(a1)
**** Original Line:   ld hl, tmp
        move.w  #tmp,d4
**** Original Line:   ld a, $6f
        move.b  #$6f,d7
**** Original Line:   ld (CURSOR_X), a
        __LA    CURSOR_X
        move.b  d7,(a1)
**** Original Line:   ld a, $16
        move.b  #$16,d7
**** Original Line:   ld (CURSOR_Y), a
        __LA    CURSOR_Y
        move.b  d7,(a1)
**** Original Line:   ld b, $01
        move.w  #($01)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line:   res 3, (iy+5)         ;overwrite current screen with menu-texts
        __ADDR  6
        bclr    #3,5(a6)
**** Original Line:   ROM_CALL(D_LM_STR)
        jsr     ti85lib@000B
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: PrintScreen:      ;This routine is written by Ed Plese, Jr. Thank you!
        __LABEL PrintScreen
**** Original Line:   ld hl,$FC00
        move.w  #$FC00,d4
**** Original Line:   ld de,GRAPH_MEM
        move.w  #GRAPH_MEM,d3
**** Original Line:   ld bc,1024
        move.w  #1024,d2
**** Original Line:   ldir
        __LDIR
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: CheckArea:
        __LABEL CheckArea
**** Original Line:   ld hl, (LastScore)  ;check if 4128 points has been earned at this level
        __LA    LastScore
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   ld de, $1020   
        move.w  #$1020,d3
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld de, (Score)
        __LA    Score
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   call CP_HL_DE
        jsr     ti85lib@0010
**** Original Line:   ret nc
        bcs     NC__122
        rts
NC__122:
**** Original Line:   ld a, $01
        move.b  #$01,d7
**** Original Line:   ld (LevelDone), a
        __LA    LevelDone
        move.b  d7,(a1)
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: NextLevel:
        __LABEL NextLevel
**** Original Line:   ld a, $03           ;print "Level Done!"
        move.b  #$03,d7
**** Original Line:   ld (CURSOR_COL), a
        __LA    CURSOR_COL
        move.b  d7,(a1)
**** Original Line:   ld a, $03
        move.b  #$03,d7
**** Original Line:   ld (CURSOR_ROW), a
        __LA    CURSOR_ROW
        move.b  d7,(a1)
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, LevelText
        move.w  #LevelText,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ROM_CALL(D_ZT_STR)
        jsr     ti85lib@0005
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ld (LevelDone), a
        __LA    LevelDone
        move.b  d7,(a1)
**** Original Line:   ld hl, (Score)        ;increase score by 1000 for each life left
        __LA    Score
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   ld a, (Lives)
        __LA    Lives
        move.b  (a1),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld de, $03e8
        move.w  #$03e8,d3
**** Original Line: NLStl1:
        __LABEL NLStl1
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   djnz NLStl1
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_NLStl1
**** Original Line:   ld (Score), hl
        __LA    Score
        move.w  d4,d0
        lsr.w   #8,d0
        move.b  d4,(a1)+
        move.b  d0,(a1)
**** Original Line:   ld a, (NumBalls)    ;increase number of balls
        __LA    NumBalls
        move.b  (a1),d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld (NumBalls), a
        __LA    NumBalls
        move.b  d7,(a1)
**** Original Line:   ld (Lives), a       ;set up number of new lives
        __LA    Lives
        move.b  d7,(a1)
**** Original Line:   ld a, (Speed)       ;decrease delay since it's slower when there's more balls
        __LA    Speed
        move.b  (a1),d7
**** Original Line:   sub $03
        sub.b   #$03,d7
**** Original Line:   jr c, NLAlreadyMax
        bcc     NC__123
        jmp     RA_NLAlreadyMax
NC__123:
**** Original Line:   ld (Speed), a
        __LA    Speed
        move.b  d7,(a1)
**** Original Line: NLAlreadyMax:
        __LABEL NLAlreadyMax
**** Original Line:   ld b, $ff        ;pause loop
        move.w  #($ff)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line: NLPauseStl1:
        __LABEL NLPauseStl1
**** Original Line:   ld c, $ff
        move.b  #$ff,d2
**** Original Line: NLPauseStl2:
        __LABEL NLPauseStl2
**** Original Line:   push de
        move.w  sr,d0
        move.w  d3,-(sp)
        move.b  d0,ccr
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line:   pop de
        move.w  sr,d0
        move.w  (sp)+,d3
        move.b  d0,ccr
**** Original Line:   jr nz, NLPauseStl2
        beq     NC__124
        jmp     RA_NLPauseStl2
NC__124:
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   jr nz, NLPauseStl1
        beq     NC__125
        jmp     RA_NLPauseStl1
NC__125:
**** Original Line:   ROM_CALL(CLEARLCD)
        jsr     ti85lib@0002
**** Original Line:   CALL_(DrawFrame)
        jsr     RA_DrawFrame
**** Original Line:   CALL_(RandomBalls)
        jsr     RA_RandomBalls
**** Original Line:   ld hl, (Score)
        __LA    Score
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   ld (LastScore), hl
        __LA    LastScore
        move.w  d4,d0
        lsr.w   #8,d0
        move.b  d4,(a1)+
        move.b  d0,(a1)
**** Original Line:   CALL_(DrawBalls)
        jsr     RA_DrawBalls
**** Original Line:   JUMP_(LoopStart)
        jmp     RA_LoopStart
**** Original Line: 
**** Original Line: EnterIntls:
        __LABEL EnterIntls
**** Original Line:   ld a, $02           ;print "New HiScore"
        move.b  #$02,d7
**** Original Line:   ld (CURSOR_COL), a
        __LA    CURSOR_COL
        move.b  d7,(a1)
**** Original Line:   ld a, $02
        move.b  #$02,d7
**** Original Line:   ld (CURSOR_ROW), a
        __LA    CURSOR_ROW
        move.b  d7,(a1)
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, NewHiScoreText
        move.w  #NewHiScoreText,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ROM_CALL(D_ZT_STR)
        jsr     ti85lib@0005
**** Original Line:   ld a, $01           ;print "Enter Initials"
        move.b  #$01,d7
**** Original Line:   ld (CURSOR_COL), a               
        __LA    CURSOR_COL
        move.b  d7,(a1)
**** Original Line:   ld a, $03
        move.b  #$03,d7
**** Original Line:   ld (CURSOR_ROW), a
        __LA    CURSOR_ROW
        move.b  d7,(a1)
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, EnterIntlsText
        move.w  #EnterIntlsText,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ROM_CALL(D_ZT_STR)
        jsr     ti85lib@0005
**** Original Line:   ld a, $06           ;print @@@
        move.b  #$06,d7
**** Original Line:   ld (CURSOR_COL), a               
        __LA    CURSOR_COL
        move.b  d7,(a1)
**** Original Line:   ld a, $04
        move.b  #$04,d7
**** Original Line:   ld (CURSOR_ROW), a
        __LA    CURSOR_ROW
        move.b  d7,(a1)
**** Original Line:   ld a, $41
        move.b  #$41,d7
**** Original Line:   ROM_CALL(TX_CHARPUT)
        jsr     ti85lib@0004
**** Original Line:   ROM_CALL(TX_CHARPUT)
        jsr     ti85lib@0004
**** Original Line:   ROM_CALL(TX_CHARPUT)
        jsr     ti85lib@0004
**** Original Line:   ld a, $06           
        move.b  #$06,d7
**** Original Line:   ld (CURSOR_COL), a               
        __LA    CURSOR_COL
        move.b  d7,(a1)
**** Original Line:   ld b, $41
        move.w  #($41)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line:   ld c, $00
        move.b  #$00,d2
**** Original Line: EIKeyLoop:
        __LABEL EIKeyLoop
**** Original Line:   call GET_KEY
        jsr     ti85lib@0006
**** Original Line:   cp $04
        cmp.b   #$04,d7
**** Original Line:   jr nz, EINotUp
        beq     NC__126
        jmp     RA_EINotUp
NC__126:
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   ld a, b
        move.w  d2,d0
        asr.w   #8,d0
        move.b  d0,d7
**** Original Line:   cp $40
        cmp.b   #$40,d7
**** Original Line:   jr nz, EIUpNotInc
        beq     NC__127
        jmp     RA_EIUpNotInc
NC__127:
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line: EIUpNotInc:
        __LABEL EIUpNotInc
**** Original Line:   push bc
        move.w  sr,d0
        move.w  d2,-(sp)
        move.b  d0,ccr
**** Original Line:   ROM_CALL(TX_CHARPUT)
        jsr     ti85lib@0004
**** Original Line:   pop bc
        move.w  sr,d0
        move.w  (sp)+,d2
        move.b  d0,ccr
**** Original Line:   jr EIDecCursor
        jmp     RA_EIDecCursor
**** Original Line: EINotUp:
        __LABEL EINotUp
**** Original Line:   cp $01
        cmp.b   #$01,d7
**** Original Line:   jr nz, EINotDown
        beq     NC__128
        jmp     RA_EINotDown
NC__128:
**** Original Line:   inc b
        add.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line:   ld a, b
        move.w  d2,d0
        asr.w   #8,d0
        move.b  d0,d7
**** Original Line:   cp $5b
        cmp.b   #$5b,d7
**** Original Line:   jr nz, EIDownNotInc
        beq     NC__129
        jmp     RA_EIDownNotInc
NC__129:
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   dec b
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
**** Original Line: EIDownNotInc:
        __LABEL EIDownNotInc
**** Original Line:   push bc
        move.w  sr,d0
        move.w  d2,-(sp)
        move.b  d0,ccr
**** Original Line:   ROM_CALL(TX_CHARPUT)
        jsr     ti85lib@0004
**** Original Line:   pop bc
        move.w  sr,d0
        move.w  (sp)+,d2
        move.b  d0,ccr
**** Original Line:   jr EIDecCursor
        jmp     RA_EIDecCursor
**** Original Line: EINotDown:
        __LABEL EINotDown
**** Original Line:   cp $36
        cmp.b   #$36,d7
**** Original Line:   jr nz, EIKeyLoop
        beq     NC__130
        jmp     RA_EIKeyLoop
NC__130:
**** Original Line:   ld hl, HiName         ;update hiscore name
        move.w  #HiName,d4
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   cp c
        cmp.b   d2,d7
**** Original Line:   jr z, EIFirstIndex
        bne     NC__131
        jmp     RA_EIFirstIndex
NC__131:
**** Original Line: EINameIndex:
        __LABEL EINameIndex
**** Original Line:   inc de
        addq.w  #1,d3
**** Original Line:   dec c
        subq.b  #1,d2
**** Original Line:   jr nz, EINameIndex
        beq     NC__132
        jmp     RA_EINameIndex
NC__132:
**** Original Line:   ld c, $01
        move.b  #$01,d2
**** Original Line: EIFirstIndex:
        __LABEL EIFirstIndex
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   ld (hl), b
        __ADDR  4
        move.w  d2,d0
        asr.w   #8,d0
        move.b  d0,(a4)
**** Original Line:   ld b, $41             ;print char and move cursor
        move.w  #($41)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line:   ld a, (CURSOR_COL)
        __LA    CURSOR_COL
        move.b  (a1),d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld (CURSOR_COL), a
        __LA    CURSOR_COL
        move.b  d7,(a1)
**** Original Line:   cp $09
        cmp.b   #$09,d7
**** Original Line:   JUMP_NZ(EIKeyLoop)
        beq     NC__133
        jmp     RA_EIKeyLoop
NC__133:
**** Original Line:   ld ix, Score          ;update hiscore
        move.w  #Score,d5
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, HiScore
        move.w  #HiScore,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, (ix)
        __ADDR  5
        move.b  (a5),d7
**** Original Line:   ld (hl), a
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   inc ix
        addq.w  #1,d5
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   ld a, (ix)
        __ADDR  5
        move.b  (a5),d7
**** Original Line:   ld (hl), a
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   JUMP_(GOCont)
        jmp     RA_GOCont
**** Original Line: EIDecCursor:
        __LABEL EIDecCursor
**** Original Line:   ld a, (CURSOR_COL)
        __LA    CURSOR_COL
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   ld (CURSOR_COL), a
        __LA    CURSOR_COL
        move.b  d7,(a1)
**** Original Line:   JUMP_(EIKeyLoop)
        jmp     RA_EIKeyLoop
**** Original Line: 
**** Original Line: InverseScreen:
        __LABEL InverseScreen
**** Original Line:   ld hl, VIDEO_MEM
        move.w  #VIDEO_MEM,d4
**** Original Line:   ld de, $0000    ;video_mem + 1025
        move.w  #$0000,d3
**** Original Line: ISStl1:
        __LABEL ISStl1
**** Original Line:   ld a, (hl)
        __ADDR  4
        move.b  (a4),d7
**** Original Line:   xor $ff
        eor.b   #$ff,d7
**** Original Line:   ld (hl), a
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   call CP_HL_DE
        jsr     ti85lib@0010
**** Original Line:   jr nz, ISStl1
        beq     NC__134
        jmp     RA_ISStl1
NC__134:
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: GameDone:
        __LABEL GameDone
**** Original Line:   ld de, (PROGRAM_ADDR)
        __LA    PROGRAM_ADDR
        move.b  1(a1),d3
        asl.w   #8,d3
        move.b  (a1),d3
**** Original Line:   ld hl, GameDoneText
        move.w  #GameDoneText,d4
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld a, $00           
        move.b  #$00,d7
**** Original Line:   ld (CURSOR_COL), a
        __LA    CURSOR_COL
        move.b  d7,(a1)
**** Original Line:   ld a, $01
        move.b  #$01,d7
**** Original Line:   ld (CURSOR_ROW), a
        __LA    CURSOR_ROW
        move.b  d7,(a1)
**** Original Line:   ROM_CALL(D_ZT_STR)
        jsr     ti85lib@0005
**** Original Line:   JUMP_(GameOver)
        jmp     RA_GameOver
**** Original Line: 
**** Original Line: DrawRect:          
        __LABEL DrawRect
**** Original Line:   ld a, (RectX1)      ;first update score
        __LA    RectX1
        move.b  (a1),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld a, (RectX2)
        __LA    RectX2
        move.b  (a1),d7
**** Original Line:   sub b
        move.w  d2,d0
        asr.w   #8,d0
        sub.b   d0,d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ld b, $00
        move.w  #($00)<<8,d0
        and.w   #$ff,d2
        or.w    d0,d2
**** Original Line:   push bc         ;bc=delta x
        move.w  sr,d0
        move.w  d2,-(sp)
        move.b  d0,ccr
**** Original Line:   ld a, (RectY1)
        __LA    RectY1
        move.b  (a1),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld a, (RectY2)
        __LA    RectY2
        move.b  (a1),d7
**** Original Line:   sub b
        move.w  d2,d0
        asr.w   #8,d0
        sub.b   d0,d7
**** Original Line:   inc a             ;a=delta y
        addq.b  #1,d7
**** Original Line:   ld hl, (Score)
        __LA    Score
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   pop bc  
        move.w  sr,d0
        move.w  (sp)+,d2
        move.b  d0,ccr
**** Original Line: DRScoreStl1:
        __LABEL DRScoreStl1
**** Original Line:   add hl, bc
        add.w   d2,d4
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   jr nz, DRScoreStl1    ;add delta x for each y-line
        beq     NC__135
        jmp     RA_DRScoreStl1
NC__135:
**** Original Line:   ld (Score), hl
        __LA    Score
        move.w  d4,d0
        lsr.w   #8,d0
        move.b  d4,(a1)+
        move.b  d0,(a1)
**** Original Line:   CALL_(DrawScore)    ;update score on screen
        jsr     RA_DrawScore
**** Original Line:   CALL_(CheckArea)  ;check if level is done
        jsr     RA_CheckArea
**** Original Line: ;here is where the actual drawing takes place
**** Original Line:   ld a, (RectX1)    ;tmp=delta x -1
        __LA    RectX1
        move.b  (a1),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld a, (RectX2)
        __LA    RectX2
        move.b  (a1),d7
**** Original Line:   sub b
        move.w  d2,d0
        asr.w   #8,d0
        sub.b   d0,d7
**** Original Line:   ld (tmp), a
        __LA    tmp
        move.b  d7,(a1)
**** Original Line:   ld a, (RectY1)    ;tmp2=delta y
        __LA    RectY1
        move.b  (a1),d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ld a, (RectY2)
        __LA    RectY2
        move.b  (a1),d7
**** Original Line:   sub c
        sub.b   d2,d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld (tmp2), a
        __LA    tmp2
        move.b  d7,(a1)
**** Original Line:   ld a, (RectX1)
        __LA    RectX1
        move.b  (a1),d7
**** Original Line:   ld b, a           ;load top-left byte in a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld a, $3f
        move.b  #$3f,d7
**** Original Line:   sub c
        sub.b   d2,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ld ix, tmp
        move.w  #tmp,d5
**** Original Line:   cp (ix)
        __ADDR  5
        cmp.b   (a5),d7
**** Original Line:   JUMP_Z(DROnePixel)
        bne     NC__136
        jmp     RA_DROnePixel
NC__136:
**** Original Line:   ROM_CALL(FIND_PIXEL)
        jsr     ti85lib@0009
**** Original Line:   ld ix, tmp
        move.w  #tmp,d5
**** Original Line: DRStl1:             ;fill top-bits in a (or as many as specified in tmp)
        __LABEL DRStl1
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   srl a
        __SRL   7
**** Original Line:   or b
        move.w  d2,d0
        asr.w   #8,d0
        or.b   d0,d7
**** Original Line:   dec (ix)
        __ADDR  5
        subq.b  #1,(a5)
**** Original Line:   jr z, DRDone1
        bne     NC__137
        jmp     RA_DRDone1
NC__137:
**** Original Line:   bit 0, a
        btst    #0,d7
**** Original Line:   jr z, DRStl1
        bne     NC__138
        jmp     RA_DRStl1
NC__138:
**** Original Line: DRDone1:              ;or the bits onto the screen
        __LABEL DRDone1
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   ld de, VIDEO_MEM
        move.w  #VIDEO_MEM,d3
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   ld (tmp3), hl
        __LA    tmp3
        move.w  d4,d0
        lsr.w   #8,d0
        move.b  d4,(a1)+
        move.b  d0,(a1)
**** Original Line:   ld a, (tmp2)
        __LA    tmp2
        move.b  (a1),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld de, $10
        move.w  #$10,d3
**** Original Line: DRStl2:
        __LABEL DRStl2
**** Original Line:   ld a, (hl)
        __ADDR  4
        move.b  (a4),d7
**** Original Line:   or c
        or.b   d2,d7
**** Original Line:   ld (hl), a
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   djnz DRStl2
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_DRStl2
**** Original Line:   ld a, (tmp)       ;return if no columns left to fill
        __LA    tmp
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   ret z
        bne     NC__139
        rts
NC__139:
**** Original Line: DR8bitStl1:
        __LABEL DR8bitStl1
**** Original Line:   ld hl, (tmp3)     ;move hl-pointer to top-line, next 8-bit col
        __LA    tmp3
        move.b  1(a1),d4
        asl.w   #8,d4
        move.b  (a1),d4
**** Original Line:   inc hl
        addq.w  #1,d4
**** Original Line:   ld (tmp3), hl
        __LA    tmp3
        move.w  d4,d0
        lsr.w   #8,d0
        move.b  d4,(a1)+
        move.b  d0,(a1)
**** Original Line:   ld a, (tmp)
        __LA    tmp
        move.b  (a1),d7
**** Original Line:   cp $08            ;check if 8-cols are left to set
        cmp.b   #$08,d7
**** Original Line:   jr c, DR8bitDone
        bcc     NC__140
        jmp     RA_DR8bitDone
NC__140:
**** Original Line:   sub $08
        sub.b   #$08,d7
**** Original Line:   ld (tmp), a       ;decrease x-cols-left with 8 cols
        __LA    tmp
        move.b  d7,(a1)
**** Original Line:   ld a, (tmp2)
        __LA    tmp2
        move.b  (a1),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line: DR8bitStl2:         ;fill it up!
        __LABEL DR8bitStl2
**** Original Line:   ld (hl), $ff
        __ADDR  4
        move.b  #$ff,(a4)
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   djnz DR8bitStl2
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_DR8bitStl2
**** Original Line:   jr DR8bitStl1
        jmp     RA_DR8bitStl1
**** Original Line: DR8bitDone:
        __LABEL DR8bitDone
**** Original Line:   ld a, (tmp)     ;fill last pixels
        __LA    tmp
        move.b  (a1),d7
**** Original Line:   cp $00                                     
        cmp.b   #$00,d7
**** Original Line:   ret z
        bne     NC__141
        rts
NC__141:
**** Original Line:   ld c, $80
        move.b  #$80,d2
**** Original Line: DRFinalStl1:      ;start loop of pixels to fill
        __LABEL DRFinalStl1
**** Original Line:   ld a, (tmp)
        __LA    tmp
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   jr z, DRFinalDone
        bne     NC__142
        jmp     RA_DRFinalDone
NC__142:
**** Original Line:   ld (tmp), a
        __LA    tmp
        move.b  d7,(a1)
**** Original Line:   ld a, c
        move.b  d2,d7
**** Original Line:   srl a
        __SRL   7
**** Original Line:   or c
        or.b   d2,d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   jr DRFinalStl1
        jmp     RA_DRFinalStl1
**** Original Line: DRFinalDone:      ;or the bits onto the screen
        __LABEL DRFinalDone
**** Original Line:   ld a, (tmp2)
        __LA    tmp2
        move.b  (a1),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld de, $10
        move.w  #$10,d3
**** Original Line: DRFinalStl2:
        __LABEL DRFinalStl2
**** Original Line:   ld a, (hl)
        __ADDR  4
        move.b  (a4),d7
**** Original Line:   or c
        or.b   d2,d7
**** Original Line:   ld (hl), a
        __ADDR  4
        move.b  d7,(a4)
**** Original Line:   add hl, de
        add.w   d3,d4
**** Original Line:   djnz DRFinalStl2
        sub.w   #$100,d2
        move.w  d2,d1
        and.w   #$ff00,d1
        bne     RA_DRFinalStl2
**** Original Line: ;this is the end of the draw-code
**** Original Line:   ld a, (RectX2)    ;now check if the damn bug has occured
        __LA    RectX2
        move.b  (a1),d7
**** Original Line:   ld b, a
        move.b d7,d1
        asl.w   #8,d1
        and.w   #$ff,d2
        or.w    d1,d2
**** Original Line:   ld a, (RectY1)
        __LA    RectY1
        move.b  (a1),d7
**** Original Line:   ld c, a
        move.b  d7,d2
**** Original Line:   CALL_(GetPixel)
        jsr     RA_GetPixel
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   ret nz            ;if not return
        beq     NC__143
        rts
NC__143:
**** Original Line: DRFixBugStl1:       ;if it has, fill the last line
        __LABEL DRFixBugStl1
**** Original Line:   CALL_(SetPixel)
        jsr     RA_SetPixel
**** Original Line:   inc c
        addq.b  #1,d2
**** Original Line:   ld a, (RectY2)
        __LA    RectY2
        move.b  (a1),d7
**** Original Line:   cp c
        cmp.b   d2,d7
**** Original Line:   jr nc, DRFixBugStl1
        bcs     NC__144
        jmp     RA_DRFixBugStl1
NC__144:
**** Original Line:   ret
        rts
**** Original Line: DROnePixel:     ;also part of drawrect
        __LABEL DROnePixel
**** Original Line:   ROM_CALL(FIND_PIXEL)
        jsr     ti85lib@0009
**** Original Line:   JUMP_(DRDone1)
        jmp     RA_DRDone1
**** Original Line: 
**** Original Line: MoveCursor:
        __LABEL MoveCursor
**** Original Line:   ld ix, Move
        move.w  #Move,d5
**** Original Line:   bit 0, (ix)
        __ADDR  5
        btst    #0,(a5)
**** Original Line:   jr z, MCNotLeft
        bne     NC__145
        jmp     RA_MCNotLeft
NC__145:
**** Original Line:   ld a, (XPos)
        __LA    XPos
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   ld (LastMove), a
        __LA    LastMove
        move.b  d7,(a1)
**** Original Line:   ld (XPos), a
        __LA    XPos
        move.b  d7,(a1)
**** Original Line:   res 0, (ix)
        __ADDR  5
        bclr    #0,(a5)
**** Original Line: MCNotLeft:
        __LABEL MCNotLeft
**** Original Line:   bit 1, (ix)
        __ADDR  5
        btst    #1,(a5)
**** Original Line:   jr z, MCNotRight
        bne     NC__146
        jmp     RA_MCNotRight
NC__146:
**** Original Line:   ld a, (XPos)
        __LA    XPos
        move.b  (a1),d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld (LastMove), a
        __LA    LastMove
        move.b  d7,(a1)
**** Original Line:   ld (XPos), a
        __LA    XPos
        move.b  d7,(a1)
**** Original Line:   res 1, (ix)
        __ADDR  5
        bclr    #1,(a5)
**** Original Line: MCNotRight:
        __LABEL MCNotRight
**** Original Line:   bit 2, (ix)
        __ADDR  5
        btst    #2,(a5)
**** Original Line:   jr z, MCNotUp
        bne     NC__147
        jmp     RA_MCNotUp
NC__147:
**** Original Line:   ld a, (YPos)
        __LA    YPos
        move.b  (a1),d7
**** Original Line:   dec a
        subq.b  #1,d7
**** Original Line:   ld (YPos), a
        __LA    YPos
        move.b  d7,(a1)
**** Original Line:   res 2, (ix)
        __ADDR  5
        bclr    #2,(a5)
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ld (LastMove), a
        __LA    LastMove
        move.b  d7,(a1)
**** Original Line: MCNotUp:
        __LABEL MCNotUp
**** Original Line:   bit 3, (ix)
        __ADDR  5
        btst    #3,(a5)
**** Original Line:   ret z
        bne     NC__148
        rts
NC__148:
**** Original Line:   ld a, (YPos)
        __LA    YPos
        move.b  (a1),d7
**** Original Line:   inc a
        addq.b  #1,d7
**** Original Line:   ld (YPos), a
        __LA    YPos
        move.b  d7,(a1)
**** Original Line:   res 3, (ix)
        __ADDR  5
        bclr    #3,(a5)
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ld (LastMove), a
        __LA    LastMove
        move.b  d7,(a1)
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: RotateCursor:
        __LABEL RotateCursor
**** Original Line:   ld a, (RotateCount)
        __LA    RotateCount
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   ret nz
        beq     NC__149
        rts
NC__149:
**** Original Line:   ld a, $ff
        move.b  #$ff,d7
**** Original Line:   ld (RotateCount), a
        __LA    RotateCount
        move.b  d7,(a1)
**** Original Line:   ld a, (LastMove)
        __LA    LastMove
        move.b  (a1),d7
**** Original Line:   cp $00
        cmp.b   #$00,d7
**** Original Line:   jr z, RCIsZero
        bne     NC__150
        jmp     RA_RCIsZero
NC__150:
**** Original Line:   ld a, $00
        move.b  #$00,d7
**** Original Line:   ld (LastMove), a
        __LA    LastMove
        move.b  d7,(a1)
**** Original Line:   ret
        rts
**** Original Line: RCIsZero:
        __LABEL RCIsZero
**** Original Line:   ld a, $01
        move.b  #$01,d7
**** Original Line:   ld (LastMove), a
        __LA    LastMove
        move.b  d7,(a1)
**** Original Line:   ret
        rts
**** Original Line: 
**** Original Line: IntroImage:
        __LABEL IntroImage
**** Original Line: .db $7F, $F9, $FF, $E7, $FF, $9F, $FE, $7F
        dc.b    $7F
        dc.b    $F9
        dc.b    $FF
        dc.b    $E7
        dc.b    $FF
        dc.b    $9F
        dc.b    $FE
        dc.b    $7F
**** Original Line: .db $F8, $3F, $F8, $F8, $07, $C0, $00, $00, $00, $F9, $F0, $00, $0F, $80, $3E, $7C
        dc.b    $F8
        dc.b    $3F
        dc.b    $F8
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $00
        dc.b    $00
        dc.b    $00
        dc.b    $F9
        dc.b    $F0
        dc.b    $00
        dc.b    $0F
        dc.b    $80
        dc.b    $3E
        dc.b    $7C
**** Original Line: .db $FC, $7E, $FC, $F8, $07, $C0, $00, $00, $00, $F9, $F0, $00, $1F, $00, $7C, $7C
        dc.b    $FC
        dc.b    $7E
        dc.b    $FC
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $00
        dc.b    $00
        dc.b    $00
        dc.b    $F9
        dc.b    $F0
        dc.b    $00
        dc.b    $1F
        dc.b    $00
        dc.b    $7C
        dc.b    $7C
**** Original Line: .db $7C, $7C, $7C, $F8, $07, $C0, $00, $00, $00, $F9, $F0, $00, $1E, $00, $78, $7C
        dc.b    $7C
        dc.b    $7C
        dc.b    $7C
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $00
        dc.b    $00
        dc.b    $00
        dc.b    $F9
        dc.b    $F0
        dc.b    $00
        dc.b    $1E
        dc.b    $00
        dc.b    $78
        dc.b    $7C
**** Original Line: .db $7C, $7C, $7C, $F8, $07, $C0, $00, $00, $00, $F9, $F0, $00, $3E, $00, $F8, $7C
        dc.b    $7C
        dc.b    $7C
        dc.b    $7C
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $00
        dc.b    $00
        dc.b    $00
        dc.b    $F9
        dc.b    $F0
        dc.b    $00
        dc.b    $3E
        dc.b    $00
        dc.b    $F8
        dc.b    $7C
**** Original Line: .db $7C, $7C, $7C, $F8, $07, $C0, $00, $00, $00, $F9, $FF, $00, $FF, $03, $FC, $7F
        dc.b    $7C
        dc.b    $7C
        dc.b    $7C
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $00
        dc.b    $00
        dc.b    $00
        dc.b    $F9
        dc.b    $FF
        dc.b    $00
        dc.b    $FF
        dc.b    $03
        dc.b    $FC
        dc.b    $7F
**** Original Line: .db $F8, $7F, $FC, $F8, $07, $C0, $00, $00, $00, $F9, $F0, $00, $7C, $01, $F0, $7C
        dc.b    $F8
        dc.b    $7F
        dc.b    $FC
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $00
        dc.b    $00
        dc.b    $00
        dc.b    $F9
        dc.b    $F0
        dc.b    $00
        dc.b    $7C
        dc.b    $01
        dc.b    $F0
        dc.b    $7C
**** Original Line: .db $7C, $7C, $7C, $F8, $07, $C0, $00, $00, $00, $F9, $F0, $00, $78, $01, $E0, $7C
        dc.b    $7C
        dc.b    $7C
        dc.b    $7C
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $00
        dc.b    $00
        dc.b    $00
        dc.b    $F9
        dc.b    $F0
        dc.b    $00
        dc.b    $78
        dc.b    $01
        dc.b    $E0
        dc.b    $7C
**** Original Line: .db $3E, $7C, $7C, $F8, $07, $C0, $00, $00, $00, $F9, $F0, $00, $F8, $03, $E0, $7C
        dc.b    $3E
        dc.b    $7C
        dc.b    $7C
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $00
        dc.b    $00
        dc.b    $00
        dc.b    $F9
        dc.b    $F0
        dc.b    $00
        dc.b    $F8
        dc.b    $03
        dc.b    $E0
        dc.b    $7C
**** Original Line: .db $3E, $7C, $7C, $F8, $07, $C0, $00, $00, $78, $F9, $F0, $01, $F0, $07, $C0, $7C
        dc.b    $3E
        dc.b    $7C
        dc.b    $7C
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $00
        dc.b    $00
        dc.b    $78
        dc.b    $F9
        dc.b    $F0
        dc.b    $01
        dc.b    $F0
        dc.b    $07
        dc.b    $C0
        dc.b    $7C
**** Original Line: .db $3E, $7C, $7C, $F8, $07, $C0, $00, $00, $78, $F9, $F0, $01, $F0, $07, $C0, $7C
        dc.b    $3E
        dc.b    $7C
        dc.b    $7C
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $00
        dc.b    $00
        dc.b    $78
        dc.b    $F9
        dc.b    $F0
        dc.b    $01
        dc.b    $F0
        dc.b    $07
        dc.b    $C0
        dc.b    $7C
**** Original Line: .db $3E, $7C, $7C, $F8, $07, $C0, $03, $04, $78, $F9, $F0, $03, $E0, $0F, $80, $7C
        dc.b    $3E
        dc.b    $7C
        dc.b    $7C
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $03
        dc.b    $04
        dc.b    $78
        dc.b    $F9
        dc.b    $F0
        dc.b    $03
        dc.b    $E0
        dc.b    $0F
        dc.b    $80
        dc.b    $7C
**** Original Line: .db $3E, $7C, $7C, $F8, $07, $C0, $04, $8C, $78, $F9, $F0, $03, $C0, $0F, $00, $7C
        dc.b    $3E
        dc.b    $7C
        dc.b    $7C
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $04
        dc.b    $8C
        dc.b    $78
        dc.b    $F9
        dc.b    $F0
        dc.b    $03
        dc.b    $C0
        dc.b    $0F
        dc.b    $00
        dc.b    $7C
**** Original Line: .db $3E, $7C, $7C, $F8, $07, $C0, $50, $84, $78, $F9, $F0, $07, $C0, $1F, $00, $7C
        dc.b    $3E
        dc.b    $7C
        dc.b    $7C
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $50
        dc.b    $84
        dc.b    $78
        dc.b    $F9
        dc.b    $F0
        dc.b    $07
        dc.b    $C0
        dc.b    $1F
        dc.b    $00
        dc.b    $7C
**** Original Line: .db $3E, $7C, $7C, $F8, $07, $C0, $53, $04, $7D, $F9, $F0, $07, $C0, $1F, $00, $7C
        dc.b    $3E
        dc.b    $7C
        dc.b    $7C
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $53
        dc.b    $04
        dc.b    $7D
        dc.b    $F9
        dc.b    $F0
        dc.b    $07
        dc.b    $C0
        dc.b    $1F
        dc.b    $00
        dc.b    $7C
**** Original Line: .db $3E, $7C, $7C, $F8, $07, $C0, $54, $04, $3F, $F1, $FF, $E7, $FF, $9F, $FE, $7F
        dc.b    $3E
        dc.b    $7C
        dc.b    $7C
        dc.b    $F8
        dc.b    $07
        dc.b    $C0
        dc.b    $54
        dc.b    $04
        dc.b    $3F
        dc.b    $F1
        dc.b    $FF
        dc.b    $E7
        dc.b    $FF
        dc.b    $9F
        dc.b    $FE
        dc.b    $7F
**** Original Line: .db $FC, $7C, $7C, $FF, $E7, $FF, $27, $A4
        dc.b    $FC
        dc.b    $7C
        dc.b    $7C
        dc.b    $FF
        dc.b    $E7
        dc.b    $FF
        dc.b    $27
        dc.b    $A4
**** Original Line: 
**** Original Line: 
**** Original Line: SpeedDB:  .db $20
        __LABEL SpeedDB
        dc.b    $20
**** Original Line: ContrastDB: .db $05
        __LABEL ContrastDB
        dc.b    $05
**** Original Line: IntroText1: .db "By Magnus Svedin  -96",0
        __LABEL IntroText1
        dc.b    "By Magnus Svedin  -96"
        dc.b    0
**** Original Line: IntroText2: .db "Speed",0
        __LABEL IntroText2
        dc.b    "Speed"
        dc.b    0
**** Original Line: IntroText3: .db "Contrast increase",0
        __LABEL IntroText3
        dc.b    "Contrast increase"
        dc.b    0
**** Original Line: IntroText4: .db "Press Enter...",0
        __LABEL IntroText4
        dc.b    "Press Enter..."
        dc.b    0
**** Original Line: GameDoneText: .db "That's all folks", 0
        __LABEL GameDoneText
        dc.b    "That's all folks"
        dc.b    0
**** Original Line: ScoreText: .db "Score", 0
        __LABEL ScoreText
        dc.b    "Score"
        dc.b    0
**** Original Line: LivesText: .db "Lives", 0
        __LABEL LivesText
        dc.b    "Lives"
        dc.b    0
**** Original Line: HiScoreText: .db "HiScore", 0
        __LABEL HiScoreText
        dc.b    "HiScore"
        dc.b    0
**** Original Line: ByText: .db "By:", 0
        __LABEL ByText
        dc.b    "By:"
        dc.b    0
**** Original Line: HiScore: .db $10, $27
        __LABEL HiScore
        dc.b    $10
        dc.b    $27
**** Original Line: HiName: .db "MSv", 0
        __LABEL HiName
        dc.b    "MSv"
        dc.b    0
**** Original Line: LevelText: .db "Level done!", 0
        __LABEL LevelText
        dc.b    "Level done!"
        dc.b    0
**** Original Line: GameOverText: .db "GAME OVER", 0
        __LABEL GameOverText
        dc.b    "GAME OVER"
        dc.b    0
**** Original Line: NewHiScoreText: .db "New HiScore!", 0
        __LABEL NewHiScoreText
        dc.b    "New HiScore!"
        dc.b    0
**** Original Line: EnterIntlsText: .db "Enter initials", 0
        __LABEL EnterIntlsText
        dc.b    "Enter initials"
        dc.b    0
**** Original Line: .end
**** Original Line: 
**** Original Line: 
        END
